Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm
Interface MetaABMPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  MetaABMPackageImpl

    public interface MetaABMPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Author:
  Miles Parker
See Also:
  `MetaABMFactory`

Nested Class Summary
`static interface` | `MetaABMPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static MetaABMPackage` | `eINSTANCE` The singleton instance of the package.
`static java.lang.String` | `eNAME` The package name.
`static java.lang.String` | `eNS_PREFIX` The package namespace name.
`static java.lang.String` | `eNS_URI` The package namespace URI.
`static int` | `IACT` The meta object id for the '`IAct`' class.
`static int` | `IACT__ID` The feature id for the 'ID' attribute.
`static int` | `IACT__LABEL` The feature id for the 'Label' attribute.
`static int` | `IACT_FEATURE_COUNT` The number of structural features of the 'IAct' class.
`static int` | `IAGENT_CHILD` The meta object id for the '`IAgent Child`' class.
`static int` | `IAGENT_CHILD__PARENT` The feature id for the 'Parent' container reference.
`static int` | `IAGENT_CHILD_FEATURE_COUNT` The number of structural features of the 'IAgent Child' class.
`static int` | `IARTIFACT` The meta object id for the '`IArtifact`' class.
`static int` | `IARTIFACT__ID` The feature id for the 'ID' attribute.
`static int` | `IARTIFACT__LABEL` The feature id for the 'Label' attribute.
`static int` | `IARTIFACT_FEATURE_COUNT` The number of structural features of the 'IArtifact' class.
`static int` | `IATTRIBUTE_CHILD` The meta object id for the '`IAttribute Child`' class.
`static int` | `IATTRIBUTE_CHILD__PARENT` The feature id for the 'Parent' container reference.
`static int` | `IATTRIBUTE_CHILD_FEATURE_COUNT` The number of structural features of the 'IAttribute Child' class.
`static int` | `IID` The meta object id for the '`IID`' class.
`static int` | `IID__ID` The feature id for the 'ID' attribute.
`static int` | `IID__LABEL` The feature id for the 'Label' attribute.
`static int` | `IID_FEATURE_COUNT` The number of structural features of the 'IID' class.
`static int` | `IMODEL_EXTENSION` The meta object id for the '`IModel Extension`' class.
`static int` | `IMODEL_EXTENSION_FEATURE_COUNT` The number of structural features of the 'IModel Extension' class.
`static int` | `ITYPED` The meta object id for the '`ITyped`' class.
`static int` | `ITYPED__ID` The feature id for the 'ID' attribute.
`static int` | `ITYPED__LABEL` The feature id for the 'Label' attribute.
`static int` | `ITYPED__STYPE` The feature id for the 'SType' attribute.
`static int` | `ITYPED_ARRAY` The meta object id for the '`ITyped Array`' class.
`static int` | `ITYPED_ARRAY__ID` The feature id for the 'ID' attribute.
`static int` | `ITYPED_ARRAY__LABEL` The feature id for the 'Label' attribute.
`static int` | `ITYPED_ARRAY__SIZE` The feature id for the 'Size' attribute.
`static int` | `ITYPED_ARRAY__STYPE` The feature id for the 'SType' attribute.
`static int` | `ITYPED_ARRAY_FEATURE_COUNT` The number of structural features of the 'ITyped Array' class.
`static int` | `ITYPED_FEATURE_COUNT` The number of structural features of the 'ITyped' class.
`static int` | `IVALUE` The meta object id for the '`IValue`' class.
`static int` | `IVALUE__ACCESSORS` The feature id for the 'Accessors' reference list.
`static int` | `IVALUE__AVAILABLE_TYPES` The feature id for the 'Available Types' attribute list.
`static int` | `IVALUE__ID` The feature id for the 'ID' attribute.
`static int` | `IVALUE__LABEL` The feature id for the 'Label' attribute.
`static int` | `IVALUE_FEATURE_COUNT` The number of structural features of the 'IValue' class.
`static int` | `SACTABLE` The meta object id for the '`SActable`' class.
`static int` | `SACTABLE__ATTRIBUTES` The feature id for the 'Attributes' containment reference list.
`static int` | `SACTABLE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` | `SACTABLE__ID` The feature id for the 'ID' attribute.
`static int` | `SACTABLE__LABEL` The feature id for the 'Label' attribute.
`static int` | `SACTABLE__PLURAL_LABEL` The feature id for the 'Plural Label' attribute.
`static int` | `SACTABLE__ROOT_ACTIVITY` The feature id for the 'Root Activity' containment reference.
`static int` | `SACTABLE_FEATURE_COUNT` The number of structural features of the 'SActable' class.
`static int` | `SAGENT` The meta object id for the '`SAgent`' class.
`static int` | `SAGENT__ATTRIBUTES` The feature id for the 'Attributes' containment reference list.
`static int` | `SAGENT__CHILDREN` The feature id for the 'Children' containment reference list.
`static int` | `SAGENT__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` | `SAGENT__ID` The feature id for the 'ID' attribute.
`static int` | `SAGENT__IMPLEMENTATION` The feature id for the 'Implementation' containment reference.
`static int` | `SAGENT__LABEL` The feature id for the 'Label' attribute.
`static int` | `SAGENT__OWNER` The feature id for the 'Owner' container reference.
`static int` | `SAGENT__PARENT` The feature id for the 'Parent' reference.
`static int` | `SAGENT__PLURAL_LABEL` The feature id for the 'Plural Label' attribute.
`static int` | `SAGENT__ROOT_ACTIVITY` The feature id for the 'Root Activity' containment reference.
`static int` | `SAGENT__STYLES` The feature id for the 'Styles' containment reference list.
`static int` | `SAGENT_FEATURE_COUNT` The number of structural features of the 'SAgent' class.
`static int` | `SATTRIBUTE` The meta object id for the '`SAttribute`' class.
`static int` | `SATTRIBUTE__ACCESSORS` The feature id for the 'Accessors' reference list.
`static int` | `SATTRIBUTE__AVAILABLE_TYPES` The feature id for the 'Available Types' attribute list.
`static int` | `SATTRIBUTE__CHILDREN` The feature id for the 'Children' containment reference list.
`static int` | `SATTRIBUTE__DEFAULT_VALUE` The feature id for the 'Default Value' attribute.
`static int` | `SATTRIBUTE__DERIVED` The feature id for the 'Derived' attribute.
`static int` | `SATTRIBUTE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` | `SATTRIBUTE__GATHER_DATA` The feature id for the 'Gather Data' attribute.
`static int` | `SATTRIBUTE__ID` The feature id for the 'ID' attribute.
`static int` | `SATTRIBUTE__IMMUTABLE` The feature id for the 'Immutable' attribute.
`static int` | `SATTRIBUTE__LABEL` The feature id for the 'Label' attribute.
`static int` | `SATTRIBUTE__OWNER` The feature id for the 'Owner' container reference.
`static int` | `SATTRIBUTE__PLURAL_LABEL` The feature id for the 'Plural Label' attribute.
`static int` | `SATTRIBUTE__STYPE` The feature id for the 'SType' attribute.
`static int` | `SATTRIBUTE__UNITS` The feature id for the 'Units' attribute.
`static int` | `SATTRIBUTE_ARRAY` The meta object id for the '`SAttribute Array`' class.
`static int` | `SATTRIBUTE_ARRAY__ACCESSORS` The feature id for the 'Accessors' reference list.
`static int` | `SATTRIBUTE_ARRAY__AVAILABLE_TYPES` The feature id for the 'Available Types' attribute list.
`static int` | `SATTRIBUTE_ARRAY__CHILDREN` The feature id for the 'Children' containment reference list.
`static int` | `SATTRIBUTE_ARRAY__DEFAULT_VALUE` The feature id for the 'Default Value' attribute.
`static int` | `SATTRIBUTE_ARRAY__DERIVED` The feature id for the 'Derived' attribute.
`static int` | `SATTRIBUTE_ARRAY__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` | `SATTRIBUTE_ARRAY__GATHER_DATA` The feature id for the 'Gather Data' attribute.
`static int` | `SATTRIBUTE_ARRAY__ID` The feature id for the 'ID' attribute.
`static int` | `SATTRIBUTE_ARRAY__IMMUTABLE` The feature id for the 'Immutable' attribute.
`static int` | `SATTRIBUTE_ARRAY__LABEL` The feature id for the 'Label' attribute.
`static int` | `SATTRIBUTE_ARRAY__OWNER` The feature id for the 'Owner' container reference.
`static int` | `SATTRIBUTE_ARRAY__PLURAL_LABEL` The feature id for the 'Plural Label' attribute.
`static int` | `SATTRIBUTE_ARRAY__SIZE` The feature id for the 'Size' attribute.
`static int` | `SATTRIBUTE_ARRAY__STYPE` The feature id for the 'SType' attribute.
`static int` | `SATTRIBUTE_ARRAY__UNITS` The feature id for the 'Units' attribute.
`static int` | `SATTRIBUTE_ARRAY_FEATURE_COUNT` The number of structural features of the 'SAttribute Array' class.
`static int` | `SATTRIBUTE_FEATURE_COUNT` The number of structural features of the 'SAttribute' class.
`static int` | `SATTRIBUTE_TYPE` The meta object id for the '`SAttribute Type`' enum.
`static int` | `SATTRIBUTED` The meta object id for the '`SAttributed`' class.
`static int` | `SATTRIBUTED__ATTRIBUTES` The feature id for the 'Attributes' containment reference list.
`static int` | `SATTRIBUTED__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` | `SATTRIBUTED__ID` The feature id for the 'ID' attribute.
`static int` | `SATTRIBUTED__LABEL` The feature id for the 'Label' attribute.
`static int` | `SATTRIBUTED__PLURAL_LABEL` The feature id for the 'Plural Label' attribute.
`static int` | `SATTRIBUTED_FEATURE_COUNT` The number of structural features of the 'SAttributed' class.
`static int` | `SBORDER_RULE` The meta object id for the '`SBorder Rule`' enum.
`static int` | `SCONTEXT` The meta object id for the '`SContext`' class.
`static int` | `SCONTEXT__AGENTS` The feature id for the 'Agents' containment reference list.
`static int` | `SCONTEXT__ALL_AGENTS` The feature id for the 'All Agents' reference list.
`static int` | `SCONTEXT__ALL_CONTEXTS` The feature id for the 'All Contexts' reference list.
`static int` | `SCONTEXT__ATTRIBUTES` The feature id for the 'Attributes' containment reference list.
`static int` | `SCONTEXT__CHILDREN` The feature id for the 'Children' containment reference list.
`static int` | `SCONTEXT__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` | `SCONTEXT__ID` The feature id for the 'ID' attribute.
`static int` | `SCONTEXT__IMPLEMENTATION` The feature id for the 'Implementation' containment reference.
`static int` | `SCONTEXT__LABEL` The feature id for the 'Label' attribute.
`static int` | `SCONTEXT__LIBRARY` The feature id for the 'Library' containment reference list.
`static int` | `SCONTEXT__OWNER` The feature id for the 'Owner' container reference.
`static int` | `SCONTEXT__PARENT` The feature id for the 'Parent' reference.
`static int` | `SCONTEXT__PLURAL_LABEL` The feature id for the 'Plural Label' attribute.
`static int` | `SCONTEXT__PROJECTIONS` The feature id for the 'Projections' containment reference list.
`static int` | `SCONTEXT__ROOT_ACTIVITY` The feature id for the 'Root Activity' containment reference.
`static int` | `SCONTEXT__STYLES` The feature id for the 'Styles' containment reference list.
`static int` | `SCONTEXT__VALUE_LAYERS` The feature id for the 'Value Layers' containment reference list.
`static int` | `SCONTEXT_FEATURE_COUNT` The number of structural features of the 'SContext' class.
`static int` | `SCONTINUOUS_SPACE` The meta object id for the '`SContinuous Space`' class.
`static int` | `SCONTINUOUS_SPACE__ATTRIBUTES` The feature id for the 'Attributes' containment reference list.
`static int` | `SCONTINUOUS_SPACE__BORDER_RULE` The feature id for the 'Border Rule' attribute.
`static int` | `SCONTINUOUS_SPACE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` | `SCONTINUOUS_SPACE__DIMENSIONALITY` The feature id for the 'Dimensionality' attribute.
`static int` | `SCONTINUOUS_SPACE__ID` The feature id for the 'ID' attribute.
`static int` | `SCONTINUOUS_SPACE__LABEL` The feature id for the 'Label' attribute.
`static int` | `SCONTINUOUS_SPACE__OWNER` The feature id for the 'Owner' container reference.
`static int` | `SCONTINUOUS_SPACE__PLURAL_LABEL` The feature id for the 'Plural Label' attribute.
`static int` | `SCONTINUOUS_SPACE_FEATURE_COUNT` The number of structural features of the 'SContinuous Space' class.
`static int` | `SGEOGRAPHY` The meta object id for the '`SGeography`' class.
`static int` | `SGEOGRAPHY__ATTRIBUTES` The feature id for the 'Attributes' containment reference list.
`static int` | `SGEOGRAPHY__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` | `SGEOGRAPHY__ID` The feature id for the 'ID' attribute.
`static int` | `SGEOGRAPHY__LABEL` The feature id for the 'Label' attribute.
`static int` | `SGEOGRAPHY__OWNER` The feature id for the 'Owner' container reference.
`static int` | `SGEOGRAPHY__PLURAL_LABEL` The feature id for the 'Plural Label' attribute.
`static int` | `SGEOGRAPHY_FEATURE_COUNT` The number of structural features of the 'SGeography' class.
`static int` | `SGRID` The meta object id for the '`SGrid`' class.
`static int` | `SGRID__ATTRIBUTES` The feature id for the 'Attributes' containment reference list.
`static int` | `SGRID__BORDER_RULE` The feature id for the 'Border Rule' attribute.
`static int` | `SGRID__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` | `SGRID__DIMENSIONALITY` The feature id for the 'Dimensionality' attribute.
`static int` | `SGRID__ID` The feature id for the 'ID' attribute.
`static int` | `SGRID__LABEL` The feature id for the 'Label' attribute.
`static int` | `SGRID__MULTI_OCCUPANT` The feature id for the 'Multi Occupant' attribute.
`static int` | `SGRID__NEIGHBORHOOD` The feature id for the 'Neighborhood' attribute.
`static int` | `SGRID__OWNER` The feature id for the 'Owner' container reference.
`static int` | `SGRID__PLURAL_LABEL` The feature id for the 'Plural Label' attribute.
`static int` | `SGRID_FEATURE_COUNT` The number of structural features of the 'SGrid' class.
`static int` | `SIMPLEMENTATION` The meta object id for the '`SImplementation`' class.
`static int` | `SIMPLEMENTATION__BASE_PATH` The feature id for the 'Base Path' attribute.
`static int` | `SIMPLEMENTATION__BIN_DIR` The feature id for the 'Bin Dir' attribute.
`static int` | `SIMPLEMENTATION__CLASS_FILE_LOC` The feature id for the 'Class File Loc' attribute.
`static int` | `SIMPLEMENTATION__CLASS_NAME` The feature id for the 'Class Name' attribute.
`static int` | `SIMPLEMENTATION__DERIVED_BIN_DIR` The feature id for the 'Derived Bin Dir' attribute.
`static int` | `SIMPLEMENTATION__DERIVED_PACKAGE` The feature id for the 'Derived Package' attribute.
`static int` | `SIMPLEMENTATION__DERIVED_PATH` The feature id for the 'Derived Path' attribute.
`static int` | `SIMPLEMENTATION__DERIVED_SRC_DIR` The feature id for the 'Derived Src Dir' attribute.
`static int` | `SIMPLEMENTATION__JAVA_FILE_LOC` The feature id for the 'Java File Loc' attribute.
`static int` | `SIMPLEMENTATION__MODE` The feature id for the 'Mode' attribute.
`static int` | `SIMPLEMENTATION__PACKAGE` The feature id for the 'Package' attribute.
`static int` | `SIMPLEMENTATION__QUALIFIED_NAME` The feature id for the 'Qualified Name' attribute.
`static int` | `SIMPLEMENTATION__SRC_DIR` The feature id for the 'Src Dir' attribute.
`static int` | `SIMPLEMENTATION__TARGET` The feature id for the 'Target' container reference.
`static int` | `SIMPLEMENTATION_FEATURE_COUNT` The number of structural features of the 'SImplementation' class.
`static int` | `SIMPLEMENTATION_MODE` The meta object id for the '`SImplementation Mode`' enum.
`static int` | `SIMPLEMENTED` The meta object id for the '`SImplemented`' class.
`static int` | `SIMPLEMENTED__ID` The feature id for the 'ID' attribute.
`static int` | `SIMPLEMENTED__IMPLEMENTATION` The feature id for the 'Implementation' containment reference.
`static int` | `SIMPLEMENTED__LABEL` The feature id for the 'Label' attribute.
`static int` | `SIMPLEMENTED__PARENT` The feature id for the 'Parent' reference.
`static int` | `SIMPLEMENTED_FEATURE_COUNT` The number of structural features of the 'SImplemented' class.
`static int` | `SN_DIMENSIONAL` The meta object id for the '`SN Dimensional`' class.
`static int` | `SN_DIMENSIONAL__ATTRIBUTES` The feature id for the 'Attributes' containment reference list.
`static int` | `SN_DIMENSIONAL__BORDER_RULE` The feature id for the 'Border Rule' attribute.
`static int` | `SN_DIMENSIONAL__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` | `SN_DIMENSIONAL__DIMENSIONALITY` The feature id for the 'Dimensionality' attribute.
`static int` | `SN_DIMENSIONAL__ID` The feature id for the 'ID' attribute.
`static int` | `SN_DIMENSIONAL__LABEL` The feature id for the 'Label' attribute.
`static int` | `SN_DIMENSIONAL__OWNER` The feature id for the 'Owner' container reference.
`static int` | `SN_DIMENSIONAL__PLURAL_LABEL` The feature id for the 'Plural Label' attribute.
`static int` | `SN_DIMENSIONAL_FEATURE_COUNT` The number of structural features of the 'SN Dimensional' class.
`static int` | `SNAMED` The meta object id for the '`SNamed`' class.
`static int` | `SNAMED__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` | `SNAMED__ID` The feature id for the 'ID' attribute.
`static int` | `SNAMED__LABEL` The feature id for the 'Label' attribute.
`static int` | `SNAMED__PLURAL_LABEL` The feature id for the 'Plural Label' attribute.
`static int` | `SNAMED_FEATURE_COUNT` The number of structural features of the 'SNamed' class.
`static int` | `SNEIGHBORHOOD_TYPE` The meta object id for the '`SNeighborhood Type`' enum.
`static int` | `SNETWORK` The meta object id for the '`SNetwork`' class.
`static int` | `SNETWORK__ATTRIBUTES` The feature id for the 'Attributes' containment reference list.
`static int` | `SNETWORK__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` | `SNETWORK__DIRECTED` The feature id for the 'Directed' attribute.
`static int` | `SNETWORK__ID` The feature id for the 'ID' attribute.
`static int` | `SNETWORK__LABEL` The feature id for the 'Label' attribute.
`static int` | `SNETWORK__OWNER` The feature id for the 'Owner' container reference.
`static int` | `SNETWORK__PLURAL_LABEL` The feature id for the 'Plural Label' attribute.
`static int` | `SNETWORK_FEATURE_COUNT` The number of structural features of the 'SNetwork' class.
`static int` | `SPROJECTION` The meta object id for the '`SProjection`' class.
`static int` | `SPROJECTION__ATTRIBUTES` The feature id for the 'Attributes' containment reference list.
`static int` | `SPROJECTION__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` | `SPROJECTION__ID` The feature id for the 'ID' attribute.
`static int` | `SPROJECTION__LABEL` The feature id for the 'Label' attribute.
`static int` | `SPROJECTION__OWNER` The feature id for the 'Owner' container reference.
`static int` | `SPROJECTION__PLURAL_LABEL` The feature id for the 'Plural Label' attribute.
`static int` | `SPROJECTION_FEATURE_COUNT` The number of structural features of the 'SProjection' class.
`static int` | `SSHAPE_TYPE` The meta object id for the '`SShape Type`' enum.
`static int` | `SSTATE` The meta object id for the '`SState`' class.
`static int` | `SSTATE__ACCESSORS` The feature id for the 'Accessors' reference list.
`static int` | `SSTATE__AVAILABLE_TYPES` The feature id for the 'Available Types' attribute list.
`static int` | `SSTATE__CHILDREN` The feature id for the 'Children' containment reference list.
`static int` | `SSTATE__DEFAULT_OPTION` The feature id for the 'Default Option' reference.
`static int` | `SSTATE__DEFAULT_VALUE` The feature id for the 'Default Value' attribute.
`static int` | `SSTATE__DERIVED` The feature id for the 'Derived' attribute.
`static int` | `SSTATE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` | `SSTATE__GATHER_DATA` The feature id for the 'Gather Data' attribute.
`static int` | `SSTATE__ID` The feature id for the 'ID' attribute.
`static int` | `SSTATE__IMMUTABLE` The feature id for the 'Immutable' attribute.
`static int` | `SSTATE__LABEL` The feature id for the 'Label' attribute.
`static int` | `SSTATE__OPTIONS` The feature id for the 'Options' containment reference list.
`static int` | `SSTATE__OWNER` The feature id for the 'Owner' container reference.
`static int` | `SSTATE__PLURAL_LABEL` The feature id for the 'Plural Label' attribute.
`static int` | `SSTATE__STYPE` The feature id for the 'SType' attribute.
`static int` | `SSTATE__UNITS` The feature id for the 'Units' attribute.
`static int` | `SSTATE_FEATURE_COUNT` The number of structural features of the 'SState' class.
`static int` | `SSTATE_VALUE` The meta object id for the '`SState Value`' class.
`static int` | `SSTATE_VALUE__ACCESSORS` The feature id for the 'Accessors' reference list.
`static int` | `SSTATE_VALUE__AVAILABLE_TYPES` The feature id for the 'Available Types' attribute list.
`static int` | `SSTATE_VALUE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` | `SSTATE_VALUE__ID` The feature id for the 'ID' attribute.
`static int` | `SSTATE_VALUE__LABEL` The feature id for the 'Label' attribute.
`static int` | `SSTATE_VALUE__PLURAL_LABEL` The feature id for the 'Plural Label' attribute.
`static int` | `SSTATE_VALUE__SET` The feature id for the 'Set' container reference.
`static int` | `SSTATE_VALUE_FEATURE_COUNT` The number of structural features of the 'SState Value' class.
`static int` | `SSTYLE` The meta object id for the '`SStyle`' class.
`static int` | `SSTYLE__AGENT` The feature id for the 'Agent' container reference.
`static int` | `SSTYLE__ATTRIBUTES` The feature id for the 'Attributes' containment reference list.
`static int` | `SSTYLE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` | `SSTYLE__ID` The feature id for the 'ID' attribute.
`static int` | `SSTYLE__IMPLEMENTATION` The feature id for the 'Implementation' containment reference.
`static int` | `SSTYLE__LABEL` The feature id for the 'Label' attribute.
`static int` | `SSTYLE__PARENT` The feature id for the 'Parent' reference.
`static int` | `SSTYLE__PLURAL_LABEL` The feature id for the 'Plural Label' attribute.
`static int` | `SSTYLE__ROOT_ACTIVITY` The feature id for the 'Root Activity' containment reference.
`static int` | `SSTYLE_FEATURE_COUNT` The number of structural features of the 'SStyle' class.
`static int` | `SSTYLE_SHAPE` The meta object id for the '`SStyle Shape`' class.
`static int` | `SSTYLE_SHAPE__AGENT` The feature id for the 'Agent' container reference.
`static int` | `SSTYLE_SHAPE__ATTRIBUTES` The feature id for the 'Attributes' containment reference list.
`static int` | `SSTYLE_SHAPE__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` | `SSTYLE_SHAPE__ID` The feature id for the 'ID' attribute.
`static int` | `SSTYLE_SHAPE__IMPLEMENTATION` The feature id for the 'Implementation' containment reference.
`static int` | `SSTYLE_SHAPE__LABEL` The feature id for the 'Label' attribute.
`static int` | `SSTYLE_SHAPE__PARENT` The feature id for the 'Parent' reference.
`static int` | `SSTYLE_SHAPE__PLURAL_LABEL` The feature id for the 'Plural Label' attribute.
`static int` | `SSTYLE_SHAPE__ROOT_ACTIVITY` The feature id for the 'Root Activity' containment reference.
`static int` | `SSTYLE_SHAPE__SHAPE` The feature id for the 'Shape' attribute.
`static int` | `SSTYLE_SHAPE_FEATURE_COUNT` The number of structural features of the 'SStyle Shape' class.
`static int` | `SSTYLE2_D` The meta object id for the '`SStyle2 D`' class.
`static int` | `SSTYLE2_D__AGENT` The feature id for the 'Agent' container reference.
`static int` | `SSTYLE2_D__ATTRIBUTES` The feature id for the 'Attributes' containment reference list.
`static int` | `SSTYLE2_D__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` | `SSTYLE2_D__ID` The feature id for the 'ID' attribute.
`static int` | `SSTYLE2_D__IMPLEMENTATION` The feature id for the 'Implementation' containment reference.
`static int` | `SSTYLE2_D__LABEL` The feature id for the 'Label' attribute.
`static int` | `SSTYLE2_D__PARENT` The feature id for the 'Parent' reference.
`static int` | `SSTYLE2_D__PLURAL_LABEL` The feature id for the 'Plural Label' attribute.
`static int` | `SSTYLE2_D__ROOT_ACTIVITY` The feature id for the 'Root Activity' containment reference.
`static int` | `SSTYLE2_D_FEATURE_COUNT` The number of structural features of the 'SStyle2 D' class.
`static int` | `SSTYLE3_D` The meta object id for the '`SStyle3 D`' class.
`static int` | `SSTYLE3_D__AGENT` The feature id for the 'Agent' container reference.
`static int` | `SSTYLE3_D__ATTRIBUTES` The feature id for the 'Attributes' containment reference list.
`static int` | `SSTYLE3_D__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` | `SSTYLE3_D__ID` The feature id for the 'ID' attribute.
`static int` | `SSTYLE3_D__IMPLEMENTATION` The feature id for the 'Implementation' containment reference.
`static int` | `SSTYLE3_D__LABEL` The feature id for the 'Label' attribute.
`static int` | `SSTYLE3_D__PARENT` The feature id for the 'Parent' reference.
`static int` | `SSTYLE3_D__PLURAL_LABEL` The feature id for the 'Plural Label' attribute.
`static int` | `SSTYLE3_D__ROOT_ACTIVITY` The feature id for the 'Root Activity' containment reference.
`static int` | `SSTYLE3_D_FEATURE_COUNT` The number of structural features of the 'SStyle3 D' class.
`static int` | `SVALUE_LAYER` The meta object id for the '`SValue Layer`' class.
`static int` | `SVALUE_LAYER__DESCRIPTION` The feature id for the 'Description' attribute.
`static int` | `SVALUE_LAYER__ID` The feature id for the 'ID' attribute.
`static int` | `SVALUE_LAYER__LABEL` The feature id for the 'Label' attribute.
`static int` | `SVALUE_LAYER__PLURAL_LABEL` The feature id for the 'Plural Label' attribute.
`static int` | `SVALUE_LAYER_FEATURE_COUNT` The number of structural features of the 'SValue Layer' class.

Method Summary
`org.eclipse.emf.ecore.EClass` | `getIAct()` Returns the meta object for class '`IAct`'.
`org.eclipse.emf.ecore.EReference` | `getIAgentChild_Parent()` Returns the meta object for the container reference '`Parent`'.
`org.eclipse.emf.ecore.EClass` | `getIAgentChild()` Returns the meta object for class '`IAgent Child`'.
`org.eclipse.emf.ecore.EClass` | `getIArtifact()` Returns the meta object for class '`IArtifact`'.
`org.eclipse.emf.ecore.EReference` | `getIAttributeChild_Parent()` Returns the meta object for the container reference '`Parent`'.
`org.eclipse.emf.ecore.EClass` | `getIAttributeChild()` Returns the meta object for class '`IAttribute Child`'.
`org.eclipse.emf.ecore.EAttribute` | `getIID_ID()` Returns the meta object for the attribute '`ID`'.
`org.eclipse.emf.ecore.EAttribute` | `getIID_Label()` Returns the meta object for the attribute '`Label`'.
`org.eclipse.emf.ecore.EClass` | `getIID()` Returns the meta object for class '`IID`'.
`org.eclipse.emf.ecore.EClass` | `getIModelExtension()` Returns the meta object for class '`IModel Extension`'.
`org.eclipse.emf.ecore.EAttribute` | `getITyped_SType()` Returns the meta object for the attribute '`SType`'.
`org.eclipse.emf.ecore.EClass` | `getITyped()` Returns the meta object for class '`ITyped`'.
`org.eclipse.emf.ecore.EAttribute` | `getITypedArray_Size()` Returns the meta object for the attribute ' `Size`'.
`org.eclipse.emf.ecore.EClass` | `getITypedArray()` Returns the meta object for class '`ITyped Array`'.
`org.eclipse.emf.ecore.EReference` | `getIValue_Accessors()` Returns the meta object for the reference list ' `Accessors`'.
`org.eclipse.emf.ecore.EAttribute` | `getIValue_AvailableTypes()` Returns the meta object for the attribute list '`Available Types`'.
`org.eclipse.emf.ecore.EClass` | `getIValue()` Returns the meta object for class '`IValue`'.
`MetaABMFactory` | `getMetaABMFactory()` Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EReference` | `getSActable_RootActivity()` Returns the meta object for the containment reference '`Root Activity`'.
`org.eclipse.emf.ecore.EClass` | `getSActable()` Returns the meta object for class '`SActable`'.
`org.eclipse.emf.ecore.EReference` | `getSAgent_Children()` Returns the meta object for the containment reference list '`Children`'.
`org.eclipse.emf.ecore.EReference` | `getSAgent_Owner()` Returns the meta object for the container reference '`Owner`'.
`org.eclipse.emf.ecore.EReference` | `getSAgent_Styles()` Returns the meta object for the containment reference list '`Styles`'.
`org.eclipse.emf.ecore.EClass` | `getSAgent()` Returns the meta object for class '`SAgent`'.
`org.eclipse.emf.ecore.EReference` | `getSAttribute_Children()` Returns the meta object for the containment reference list '`Children`'.
`org.eclipse.emf.ecore.EAttribute` | `getSAttribute_DefaultValue()` Returns the meta object for the attribute '`Default Value`'.
`org.eclipse.emf.ecore.EAttribute` | `getSAttribute_Derived()` Returns the meta object for the attribute '`Derived`'.
`org.eclipse.emf.ecore.EAttribute` | `getSAttribute_GatherData()` Returns the meta object for the attribute ' `Gather Data`'.
`org.eclipse.emf.ecore.EAttribute` | `getSAttribute_Immutable()` Returns the meta object for the attribute ' `Immutable`'.
`org.eclipse.emf.ecore.EReference` | `getSAttribute_Owner()` Returns the meta object for the container reference ' `Owner`'.
`org.eclipse.emf.ecore.EAttribute` | `getSAttribute_Units()` Returns the meta object for the attribute ' `Units`'.
`org.eclipse.emf.ecore.EClass` | `getSAttribute()` Returns the meta object for class '`SAttribute`'.
`org.eclipse.emf.ecore.EClass` | `getSAttributeArray()` Returns the meta object for class '`SAttribute Array`'.
`org.eclipse.emf.ecore.EReference` | `getSAttributed_Attributes()` Returns the meta object for the containment reference list '`Attributes`'.
`org.eclipse.emf.ecore.EClass` | `getSAttributed()` Returns the meta object for class '`SAttributed`'.
`org.eclipse.emf.ecore.EEnum` | `getSAttributeType()` Returns the meta object for enum '`SAttribute Type`'.
`org.eclipse.emf.ecore.EEnum` | `getSBorderRule()` Returns the meta object for enum '`SBorder Rule`'.
`org.eclipse.emf.ecore.EReference` | `getSContext_Agents()` Returns the meta object for the containment reference list '`Agents`'.
`org.eclipse.emf.ecore.EReference` | `getSContext_AllAgents()` Returns the meta object for the reference list '`All Agents`'.
`org.eclipse.emf.ecore.EReference` | `getSContext_AllContexts()` Returns the meta object for the reference list '`All Contexts`'.
`org.eclipse.emf.ecore.EReference` | `getSContext_Library()` Returns the meta object for the containment reference list '`Library`'.
`org.eclipse.emf.ecore.EReference` | `getSContext_Projections()` Returns the meta object for the containment reference list '`Projections`'.
`org.eclipse.emf.ecore.EReference` | `getSContext_ValueLayers()` Returns the meta object for the containment reference list '`Value Layers`'.
`org.eclipse.emf.ecore.EClass` | `getSContext()` Returns the meta object for class '`SContext`'.
`org.eclipse.emf.ecore.EClass` | `getSContinuousSpace()` Returns the meta object for class '`SContinuous Space`'.
`org.eclipse.emf.ecore.EClass` | `getSGeography()` Returns the meta object for class '`SGeography`'.
`org.eclipse.emf.ecore.EAttribute` | `getSGrid_MultiOccupant()` Returns the meta object for the attribute '`Multi Occupant`'.
`org.eclipse.emf.ecore.EAttribute` | `getSGrid_Neighborhood()` Returns the meta object for the attribute ' `Neighborhood`'.
`org.eclipse.emf.ecore.EClass` | `getSGrid()` Returns the meta object for class '`SGrid`'.
`org.eclipse.emf.ecore.EAttribute` | `getSImplementation_BasePath()` Returns the meta object for the attribute '`Base Path`'.
`org.eclipse.emf.ecore.EAttribute` | `getSImplementation_BinDir()` Returns the meta object for the attribute ' `Bin Dir`'.
`org.eclipse.emf.ecore.EAttribute` | `getSImplementation_ClassFileLoc()` Returns the meta object for the attribute '`Class File Loc`'.
`org.eclipse.emf.ecore.EAttribute` | `getSImplementation_ClassName()` Returns the meta object for the attribute '`Class Name`'.
`org.eclipse.emf.ecore.EAttribute` | `getSImplementation_DerivedBinDir()` Returns the meta object for the attribute '`Derived Bin Dir`'.
`org.eclipse.emf.ecore.EAttribute` | `getSImplementation_DerivedPackage()` Returns the meta object for the attribute '`Derived Package`'.
`org.eclipse.emf.ecore.EAttribute` | `getSImplementation_DerivedPath()` Returns the meta object for the attribute '`Derived Path`'.
`org.eclipse.emf.ecore.EAttribute` | `getSImplementation_DerivedSrcDir()` Returns the meta object for the attribute '`Derived Src Dir`'.
`org.eclipse.emf.ecore.EAttribute` | `getSImplementation_JavaFileLoc()` Returns the meta object for the attribute '`Java File Loc`'.
`org.eclipse.emf.ecore.EAttribute` | `getSImplementation_Mode()` Returns the meta object for the attribute ' `Mode`'.
`org.eclipse.emf.ecore.EAttribute` | `getSImplementation_Package()` Returns the meta object for the attribute ' `Package`'.
`org.eclipse.emf.ecore.EAttribute` | `getSImplementation_QualifiedName()` Returns the meta object for the attribute '`Qualified Name`'.
`org.eclipse.emf.ecore.EAttribute` | `getSImplementation_SrcDir()` Returns the meta object for the attribute ' `Src Dir`'.
`org.eclipse.emf.ecore.EReference` | `getSImplementation_Target()` Returns the meta object for the container reference '`Target`'.
`org.eclipse.emf.ecore.EClass` | `getSImplementation()` Returns the meta object for class '`SImplementation`'.
`org.eclipse.emf.ecore.EEnum` | `getSImplementationMode()` Returns the meta object for enum '`SImplementation Mode`'.
`org.eclipse.emf.ecore.EReference` | `getSImplemented_Implementation()` Returns the meta object for the containment reference '`Implementation`'.
`org.eclipse.emf.ecore.EReference` | `getSImplemented_Parent()` Returns the meta object for the reference ' `Parent`'.
`org.eclipse.emf.ecore.EClass` | `getSImplemented()` Returns the meta object for class '`SImplemented`'.
`org.eclipse.emf.ecore.EAttribute` | `getSNamed_Description()` Returns the meta object for the attribute ' `Description`'.
`org.eclipse.emf.ecore.EAttribute` | `getSNamed_PluralLabel()` Returns the meta object for the attribute ' `Plural Label`'.
`org.eclipse.emf.ecore.EClass` | `getSNamed()` Returns the meta object for class '`SNamed`'.
`org.eclipse.emf.ecore.EAttribute` | `getSNDimensional_BorderRule()` Returns the meta object for the attribute '`Border Rule`'.
`org.eclipse.emf.ecore.EAttribute` | `getSNDimensional_Dimensionality()` Returns the meta object for the attribute '`Dimensionality`'.
`org.eclipse.emf.ecore.EClass` | `getSNDimensional()` Returns the meta object for class '`SN Dimensional`'.
`org.eclipse.emf.ecore.EEnum` | `getSNeighborhoodType()` Returns the meta object for enum '`SNeighborhood Type`'.
`org.eclipse.emf.ecore.EAttribute` | `getSNetwork_Directed()` Returns the meta object for the attribute ' `Directed`'.
`org.eclipse.emf.ecore.EClass` | `getSNetwork()` Returns the meta object for class '`SNetwork`'.
`org.eclipse.emf.ecore.EReference` | `getSProjection_Owner()` Returns the meta object for the container reference '`Owner`'.
`org.eclipse.emf.ecore.EClass` | `getSProjection()` Returns the meta object for class '`SProjection`'.
`org.eclipse.emf.ecore.EEnum` | `getSShapeType()` Returns the meta object for enum '`SShape Type`'.
`org.eclipse.emf.ecore.EReference` | `getSState_DefaultOption()` Returns the meta object for the reference '`Default Option`'.
`org.eclipse.emf.ecore.EReference` | `getSState_Options()` Returns the meta object for the containment reference list '`Options`'.
`org.eclipse.emf.ecore.EClass` | `getSState()` Returns the meta object for class '`SState`'.
`org.eclipse.emf.ecore.EReference` | `getSStateValue_Set()` Returns the meta object for the container reference '`Set`'.
`org.eclipse.emf.ecore.EClass` | `getSStateValue()` Returns the meta object for class '`SState Value`'.
`org.eclipse.emf.ecore.EReference` | `getSStyle_Agent()` Returns the meta object for the container reference '`Agent`'.
`org.eclipse.emf.ecore.EClass` | `getSStyle()` Returns the meta object for class '`SStyle`'.
`org.eclipse.emf.ecore.EClass` | `getSStyle2D()` Returns the meta object for class '`SStyle2 D`'.
`org.eclipse.emf.ecore.EClass` | `getSStyle3D()` Returns the meta object for class '`SStyle3 D`'.
`org.eclipse.emf.ecore.EAttribute` | `getSStyleShape_Shape()` Returns the meta object for the attribute ' `Shape`'.
`org.eclipse.emf.ecore.EClass` | `getSStyleShape()` Returns the meta object for class '`SStyle Shape`'.
`org.eclipse.emf.ecore.EClass` | `getSValueLayer()` Returns the meta object for class '`SValue Layer`'.

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final MetaABMPackage eINSTANCE

  The singleton instance of the package.

### IID

    static final int IID

  The meta object id for the '`IID`' class.

  See Also:
    `IIDImpl`, `MetaABMPackageImpl.getIID()`, Constant Field Values

### IID__LABEL

    static final int IID__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### IID__ID

    static final int IID__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### IID_FEATURE_COUNT

    static final int IID_FEATURE_COUNT

  The number of structural features of the 'IID' class.

  See Also:
    Constant Field Values

### ITYPED

    static final int ITYPED

  The meta object id for the '`ITyped`' class.

  See Also:
    `ITyped`, `MetaABMPackageImpl.getITyped()`, Constant Field Values

### ITYPED__LABEL

    static final int ITYPED__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### ITYPED__ID

    static final int ITYPED__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### ITYPED__STYPE

    static final int ITYPED__STYPE

  The feature id for the 'SType' attribute.

  See Also:
    Constant Field Values

### ITYPED_FEATURE_COUNT

    static final int ITYPED_FEATURE_COUNT

  The number of structural features of the 'ITyped' class.

  See Also:
    Constant Field Values

### ITYPED_ARRAY

    static final int ITYPED_ARRAY

  The meta object id for the '`ITyped Array`' class.

  See Also:
    `ITypedArray`, `MetaABMPackageImpl.getITypedArray()`, Constant Field Values

### ITYPED_ARRAY__LABEL

    static final int ITYPED_ARRAY__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### ITYPED_ARRAY__ID

    static final int ITYPED_ARRAY__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### ITYPED_ARRAY__STYPE

    static final int ITYPED_ARRAY__STYPE

  The feature id for the 'SType' attribute.

  See Also:
    Constant Field Values

### ITYPED_ARRAY__SIZE

    static final int ITYPED_ARRAY__SIZE

  The feature id for the 'Size' attribute.

  See Also:
    Constant Field Values

### ITYPED_ARRAY_FEATURE_COUNT

    static final int ITYPED_ARRAY_FEATURE_COUNT

  The number of structural features of the 'ITyped Array' class.

  See Also:
    Constant Field Values

### IVALUE

    static final int IVALUE

  The meta object id for the '`IValue`' class.

  See Also:
    `IValue`, `MetaABMPackageImpl.getIValue()`, Constant Field Values

### IVALUE__LABEL

    static final int IVALUE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### IVALUE__ID

    static final int IVALUE__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### IVALUE__ACCESSORS

    static final int IVALUE__ACCESSORS

  The feature id for the 'Accessors' reference list.

  See Also:
    Constant Field Values

### IVALUE__AVAILABLE_TYPES

    static final int IVALUE__AVAILABLE_TYPES

  The feature id for the 'Available Types' attribute list.

  See Also:
    Constant Field Values

### IVALUE_FEATURE_COUNT

    static final int IVALUE_FEATURE_COUNT

  The number of structural features of the 'IValue' class.

  See Also:
    Constant Field Values

### IARTIFACT

    static final int IARTIFACT

  The meta object id for the '`IArtifact`' class.

  See Also:
    `IArtifact`, `MetaABMPackageImpl.getIArtifact()`, Constant Field Values

### IACT

    static final int IACT

  The meta object id for the '`IAct`' class.

  See Also:
    `IAct`, `MetaABMPackageImpl.getIAct()`, Constant Field Values

### SNAMED

    static final int SNAMED

  The meta object id for the '`SNamed`' class.

  See Also:
    `SNamedImpl`, `MetaABMPackageImpl.getSNamed()`, Constant Field Values

### IARTIFACT__LABEL

    static final int IARTIFACT__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### IARTIFACT__ID

    static final int IARTIFACT__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### IARTIFACT_FEATURE_COUNT

    static final int IARTIFACT_FEATURE_COUNT

  The number of structural features of the 'IArtifact' class.

  See Also:
    Constant Field Values

### IACT__LABEL

    static final int IACT__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### IACT__ID

    static final int IACT__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### IACT_FEATURE_COUNT

    static final int IACT_FEATURE_COUNT

  The number of structural features of the 'IAct' class.

  See Also:
    Constant Field Values

### SNAMED__LABEL

    static final int SNAMED__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SNAMED__ID

    static final int SNAMED__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### SNAMED__PLURAL_LABEL

    static final int SNAMED__PLURAL_LABEL

  The feature id for the 'Plural Label' attribute.

  See Also:
    Constant Field Values

### SNAMED__DESCRIPTION

    static final int SNAMED__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SNAMED_FEATURE_COUNT

    static final int SNAMED_FEATURE_COUNT

  The number of structural features of the 'SNamed' class.

  See Also:
    Constant Field Values

### SATTRIBUTED

    static final int SATTRIBUTED

  The meta object id for the '`SAttributed`' class.

  See Also:
    `SAttributedImpl`, `MetaABMPackageImpl.getSAttributed()`, Constant Field Values

### SATTRIBUTED__LABEL

    static final int SATTRIBUTED__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SATTRIBUTED__ID

    static final int SATTRIBUTED__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### SATTRIBUTED__PLURAL_LABEL

    static final int SATTRIBUTED__PLURAL_LABEL

  The feature id for the 'Plural Label' attribute.

  See Also:
    Constant Field Values

### SATTRIBUTED__DESCRIPTION

    static final int SATTRIBUTED__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SATTRIBUTED__ATTRIBUTES

    static final int SATTRIBUTED__ATTRIBUTES

  The feature id for the 'Attributes' containment reference list.

  See Also:
    Constant Field Values

### SATTRIBUTED_FEATURE_COUNT

    static final int SATTRIBUTED_FEATURE_COUNT

  The number of structural features of the 'SAttributed' class.

  See Also:
    Constant Field Values

### SATTRIBUTE

    static final int SATTRIBUTE

  The meta object id for the '`SAttribute`' class.

  See Also:
    `SAttributeImpl`, `MetaABMPackageImpl.getSAttribute()`, Constant Field Values

### SATTRIBUTE_ARRAY

    static final int SATTRIBUTE_ARRAY

  The meta object id for the '`SAttribute Array`' class.

  See Also:
    `SAttributeArrayImpl`, `MetaABMPackageImpl.getSAttributeArray()`, Constant Field Values

### SACTABLE

    static final int SACTABLE

  The meta object id for the '`SActable`' class.

  See Also:
    `SActableImpl`, `MetaABMPackageImpl.getSActable()`, Constant Field Values

### SACTABLE__LABEL

    static final int SACTABLE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SACTABLE__ID

    static final int SACTABLE__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### SACTABLE__PLURAL_LABEL

    static final int SACTABLE__PLURAL_LABEL

  The feature id for the 'Plural Label' attribute.

  See Also:
    Constant Field Values

### SACTABLE__DESCRIPTION

    static final int SACTABLE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SACTABLE__ATTRIBUTES

    static final int SACTABLE__ATTRIBUTES

  The feature id for the 'Attributes' containment reference list.

  See Also:
    Constant Field Values

### SACTABLE__ROOT_ACTIVITY

    static final int SACTABLE__ROOT_ACTIVITY

  The feature id for the 'Root Activity' containment reference.

  See Also:
    Constant Field Values

### SACTABLE_FEATURE_COUNT

    static final int SACTABLE_FEATURE_COUNT

  The number of structural features of the 'SActable' class.

  See Also:
    Constant Field Values

### SATTRIBUTE__LABEL

    static final int SATTRIBUTE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SATTRIBUTE__ID

    static final int SATTRIBUTE__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### SATTRIBUTE__PLURAL_LABEL

    static final int SATTRIBUTE__PLURAL_LABEL

  The feature id for the 'Plural Label' attribute.

  See Also:
    Constant Field Values

### SATTRIBUTE__DESCRIPTION

    static final int SATTRIBUTE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SATTRIBUTE__ACCESSORS

    static final int SATTRIBUTE__ACCESSORS

  The feature id for the 'Accessors' reference list.

  See Also:
    Constant Field Values

### SATTRIBUTE__AVAILABLE_TYPES

    static final int SATTRIBUTE__AVAILABLE_TYPES

  The feature id for the 'Available Types' attribute list.

  See Also:
    Constant Field Values

### SATTRIBUTE__STYPE

    static final int SATTRIBUTE__STYPE

  The feature id for the 'SType' attribute.

  See Also:
    Constant Field Values

### SATTRIBUTE__OWNER

    static final int SATTRIBUTE__OWNER

  The feature id for the 'Owner' container reference.

  See Also:
    Constant Field Values

### SATTRIBUTE__GATHER_DATA

    static final int SATTRIBUTE__GATHER_DATA

  The feature id for the 'Gather Data' attribute.

  See Also:
    Constant Field Values

### SATTRIBUTE__DEFAULT_VALUE

    static final int SATTRIBUTE__DEFAULT_VALUE

  The feature id for the 'Default Value' attribute.

  See Also:
    Constant Field Values

### SATTRIBUTE__UNITS

    static final int SATTRIBUTE__UNITS

  The feature id for the 'Units' attribute.

  See Also:
    Constant Field Values

### SATTRIBUTE__IMMUTABLE

    static final int SATTRIBUTE__IMMUTABLE

  The feature id for the 'Immutable' attribute.

  See Also:
    Constant Field Values

### SATTRIBUTE__DERIVED

    static final int SATTRIBUTE__DERIVED

  The feature id for the 'Derived' attribute.

  See Also:
    Constant Field Values

### SATTRIBUTE__CHILDREN

    static final int SATTRIBUTE__CHILDREN

  The feature id for the 'Children' containment reference list.

  See Also:
    Constant Field Values

### SATTRIBUTE_FEATURE_COUNT

    static final int SATTRIBUTE_FEATURE_COUNT

  The number of structural features of the 'SAttribute' class.

  See Also:
    Constant Field Values

### SATTRIBUTE_ARRAY__LABEL

    static final int SATTRIBUTE_ARRAY__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SATTRIBUTE_ARRAY__ID

    static final int SATTRIBUTE_ARRAY__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### SATTRIBUTE_ARRAY__PLURAL_LABEL

    static final int SATTRIBUTE_ARRAY__PLURAL_LABEL

  The feature id for the 'Plural Label' attribute.

  See Also:
    Constant Field Values

### SATTRIBUTE_ARRAY__DESCRIPTION

    static final int SATTRIBUTE_ARRAY__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SATTRIBUTE_ARRAY__ACCESSORS

    static final int SATTRIBUTE_ARRAY__ACCESSORS

  The feature id for the 'Accessors' reference list.

  See Also:
    Constant Field Values

### SATTRIBUTE_ARRAY__AVAILABLE_TYPES

    static final int SATTRIBUTE_ARRAY__AVAILABLE_TYPES

  The feature id for the 'Available Types' attribute list.

  See Also:
    Constant Field Values

### SATTRIBUTE_ARRAY__STYPE

    static final int SATTRIBUTE_ARRAY__STYPE

  The feature id for the 'SType' attribute.

  See Also:
    Constant Field Values

### SATTRIBUTE_ARRAY__OWNER

    static final int SATTRIBUTE_ARRAY__OWNER

  The feature id for the 'Owner' container reference.

  See Also:
    Constant Field Values

### SATTRIBUTE_ARRAY__GATHER_DATA

    static final int SATTRIBUTE_ARRAY__GATHER_DATA

  The feature id for the 'Gather Data' attribute.

  See Also:
    Constant Field Values

### SATTRIBUTE_ARRAY__DEFAULT_VALUE

    static final int SATTRIBUTE_ARRAY__DEFAULT_VALUE

  The feature id for the 'Default Value' attribute.

  See Also:
    Constant Field Values

### SATTRIBUTE_ARRAY__UNITS

    static final int SATTRIBUTE_ARRAY__UNITS

  The feature id for the 'Units' attribute.

  See Also:
    Constant Field Values

### SATTRIBUTE_ARRAY__IMMUTABLE

    static final int SATTRIBUTE_ARRAY__IMMUTABLE

  The feature id for the 'Immutable' attribute.

  See Also:
    Constant Field Values

### SATTRIBUTE_ARRAY__DERIVED

    static final int SATTRIBUTE_ARRAY__DERIVED

  The feature id for the 'Derived' attribute.

  See Also:
    Constant Field Values

### SATTRIBUTE_ARRAY__CHILDREN

    static final int SATTRIBUTE_ARRAY__CHILDREN

  The feature id for the 'Children' containment reference list.

  See Also:
    Constant Field Values

### SATTRIBUTE_ARRAY__SIZE

    static final int SATTRIBUTE_ARRAY__SIZE

  The feature id for the 'Size' attribute.

  See Also:
    Constant Field Values

### SATTRIBUTE_ARRAY_FEATURE_COUNT

    static final int SATTRIBUTE_ARRAY_FEATURE_COUNT

  The number of structural features of the 'SAttribute Array' class.

  See Also:
    Constant Field Values

### SAGENT

    static final int SAGENT

  The meta object id for the '`SAgent`' class.

  See Also:
    `SAgentImpl`, `MetaABMPackageImpl.getSAgent()`, Constant Field Values

### SCONTEXT

    static final int SCONTEXT

  The meta object id for the '`SContext`' class.

  See Also:
    `SContextImpl`, `MetaABMPackageImpl.getSContext()`, Constant Field Values

### SPROJECTION

    static final int SPROJECTION

  The meta object id for the '`SProjection`' class.

  See Also:
    `SProjectionImpl`, `MetaABMPackageImpl.getSProjection()`, Constant Field Values

### SN_DIMENSIONAL

    static final int SN_DIMENSIONAL

  The meta object id for the '`SN Dimensional`' class.

  See Also:
    `SNDimensionalImpl`, `MetaABMPackageImpl.getSNDimensional()`, Constant Field Values

### SCONTINUOUS_SPACE

    static final int SCONTINUOUS_SPACE

  The meta object id for the '`SContinuous Space`' class.

  See Also:
    `SContinuousSpaceImpl`, `MetaABMPackageImpl.getSContinuousSpace()`, Constant Field Values

### SGRID

    static final int SGRID

  The meta object id for the '`SGrid`' class.

  See Also:
    `SGridImpl`, `MetaABMPackageImpl.getSGrid()`, Constant Field Values

### SNETWORK

    static final int SNETWORK

  The meta object id for the '`SNetwork`' class.

  See Also:
    `SNetworkImpl`, `MetaABMPackageImpl.getSNetwork()`, Constant Field Values

### SGEOGRAPHY

    static final int SGEOGRAPHY

  The meta object id for the '`SGeography`' class.

  See Also:
    `SGeographyImpl`, `MetaABMPackageImpl.getSGeography()`, Constant Field Values

### SVALUE_LAYER

    static final int SVALUE_LAYER

  The meta object id for the '`SValue Layer`' class.

  See Also:
    `SValueLayerImpl`, `MetaABMPackageImpl.getSValueLayer()`, Constant Field Values

### SIMPLEMENTED

    static final int SIMPLEMENTED

  The meta object id for the '`SImplemented`' class.

  See Also:
    `SImplementedImpl`, `MetaABMPackageImpl.getSImplemented()`, Constant Field Values

### SSTYLE

    static final int SSTYLE

  The meta object id for the '`SStyle`' class.

  See Also:
    `SStyleImpl`, `MetaABMPackageImpl.getSStyle()`, Constant Field Values

### SSTYLE3_D

    static final int SSTYLE3_D

  The meta object id for the '`SStyle3 D`' class.

  See Also:
    `SStyle3DImpl`, `MetaABMPackageImpl.getSStyle3D()`, Constant Field Values

### SSTYLE2_D

    static final int SSTYLE2_D

  The meta object id for the '`SStyle2 D`' class.

  See Also:
    `SStyle2DImpl`, `MetaABMPackageImpl.getSStyle2D()`, Constant Field Values

### SIMPLEMENTATION

    static final int SIMPLEMENTATION

  The meta object id for the '`SImplementation`' class.

  See Also:
    `SImplementationImpl`, `MetaABMPackageImpl.getSImplementation()`, Constant Field Values

### SSTATE

    static final int SSTATE

  The meta object id for the '`SState`' class.

  See Also:
    `SStateImpl`, `MetaABMPackageImpl.getSState()`, Constant Field Values

### SSTATE__LABEL

    static final int SSTATE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SSTATE__ID

    static final int SSTATE__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### SSTATE__PLURAL_LABEL

    static final int SSTATE__PLURAL_LABEL

  The feature id for the 'Plural Label' attribute.

  See Also:
    Constant Field Values

### SSTATE__DESCRIPTION

    static final int SSTATE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SSTATE__ACCESSORS

    static final int SSTATE__ACCESSORS

  The feature id for the 'Accessors' reference list.

  See Also:
    Constant Field Values

### SSTATE__AVAILABLE_TYPES

    static final int SSTATE__AVAILABLE_TYPES

  The feature id for the 'Available Types' attribute list.

  See Also:
    Constant Field Values

### SSTATE__STYPE

    static final int SSTATE__STYPE

  The feature id for the 'SType' attribute.

  See Also:
    Constant Field Values

### SSTATE__OWNER

    static final int SSTATE__OWNER

  The feature id for the 'Owner' container reference.

  See Also:
    Constant Field Values

### SSTATE__GATHER_DATA

    static final int SSTATE__GATHER_DATA

  The feature id for the 'Gather Data' attribute.

  See Also:
    Constant Field Values

### SSTATE__DEFAULT_VALUE

    static final int SSTATE__DEFAULT_VALUE

  The feature id for the 'Default Value' attribute.

  See Also:
    Constant Field Values

### SSTATE__UNITS

    static final int SSTATE__UNITS

  The feature id for the 'Units' attribute.

  See Also:
    Constant Field Values

### SSTATE__IMMUTABLE

    static final int SSTATE__IMMUTABLE

  The feature id for the 'Immutable' attribute.

  See Also:
    Constant Field Values

### SSTATE__DERIVED

    static final int SSTATE__DERIVED

  The feature id for the 'Derived' attribute.

  See Also:
    Constant Field Values

### SSTATE__CHILDREN

    static final int SSTATE__CHILDREN

  The feature id for the 'Children' containment reference list.

  See Also:
    Constant Field Values

### SSTATE__OPTIONS

    static final int SSTATE__OPTIONS

  The feature id for the 'Options' containment reference list.

  See Also:
    Constant Field Values

### SSTATE__DEFAULT_OPTION

    static final int SSTATE__DEFAULT_OPTION

  The feature id for the 'Default Option' reference.

  See Also:
    Constant Field Values

### SSTATE_FEATURE_COUNT

    static final int SSTATE_FEATURE_COUNT

  The number of structural features of the 'SState' class.

  See Also:
    Constant Field Values

### SSTATE_VALUE

    static final int SSTATE_VALUE

  The meta object id for the '`SState Value`' class.

  See Also:
    `SStateValueImpl`, `MetaABMPackageImpl.getSStateValue()`, Constant Field Values

### SSTATE_VALUE__LABEL

    static final int SSTATE_VALUE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SSTATE_VALUE__ID

    static final int SSTATE_VALUE__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### SSTATE_VALUE__PLURAL_LABEL

    static final int SSTATE_VALUE__PLURAL_LABEL

  The feature id for the 'Plural Label' attribute.

  See Also:
    Constant Field Values

### SSTATE_VALUE__DESCRIPTION

    static final int SSTATE_VALUE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SSTATE_VALUE__ACCESSORS

    static final int SSTATE_VALUE__ACCESSORS

  The feature id for the 'Accessors' reference list.

  See Also:
    Constant Field Values

### SSTATE_VALUE__AVAILABLE_TYPES

    static final int SSTATE_VALUE__AVAILABLE_TYPES

  The feature id for the 'Available Types' attribute list.

  See Also:
    Constant Field Values

### SSTATE_VALUE__SET

    static final int SSTATE_VALUE__SET

  The feature id for the 'Set' container reference.

  See Also:
    Constant Field Values

### SSTATE_VALUE_FEATURE_COUNT

    static final int SSTATE_VALUE_FEATURE_COUNT

  The number of structural features of the 'SState Value' class.

  See Also:
    Constant Field Values

### SAGENT__LABEL

    static final int SAGENT__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SAGENT__ID

    static final int SAGENT__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### SAGENT__PLURAL_LABEL

    static final int SAGENT__PLURAL_LABEL

  The feature id for the 'Plural Label' attribute.

  See Also:
    Constant Field Values

### SAGENT__DESCRIPTION

    static final int SAGENT__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SAGENT__ATTRIBUTES

    static final int SAGENT__ATTRIBUTES

  The feature id for the 'Attributes' containment reference list.

  See Also:
    Constant Field Values

### SAGENT__ROOT_ACTIVITY

    static final int SAGENT__ROOT_ACTIVITY

  The feature id for the 'Root Activity' containment reference.

  See Also:
    Constant Field Values

### SAGENT__IMPLEMENTATION

    static final int SAGENT__IMPLEMENTATION

  The feature id for the 'Implementation' containment reference.

  See Also:
    Constant Field Values

### SAGENT__PARENT

    static final int SAGENT__PARENT

  The feature id for the 'Parent' reference.

  See Also:
    Constant Field Values

### SAGENT__STYLES

    static final int SAGENT__STYLES

  The feature id for the 'Styles' containment reference list.

  See Also:
    Constant Field Values

### SAGENT__OWNER

    static final int SAGENT__OWNER

  The feature id for the 'Owner' container reference.

  See Also:
    Constant Field Values

### SAGENT__CHILDREN

    static final int SAGENT__CHILDREN

  The feature id for the 'Children' containment reference list.

  See Also:
    Constant Field Values

### SAGENT_FEATURE_COUNT

    static final int SAGENT_FEATURE_COUNT

  The number of structural features of the 'SAgent' class.

  See Also:
    Constant Field Values

### SCONTEXT__LABEL

    static final int SCONTEXT__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SCONTEXT__ID

    static final int SCONTEXT__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### SCONTEXT__PLURAL_LABEL

    static final int SCONTEXT__PLURAL_LABEL

  The feature id for the 'Plural Label' attribute.

  See Also:
    Constant Field Values

### SCONTEXT__DESCRIPTION

    static final int SCONTEXT__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SCONTEXT__ATTRIBUTES

    static final int SCONTEXT__ATTRIBUTES

  The feature id for the 'Attributes' containment reference list.

  See Also:
    Constant Field Values

### SCONTEXT__ROOT_ACTIVITY

    static final int SCONTEXT__ROOT_ACTIVITY

  The feature id for the 'Root Activity' containment reference.

  See Also:
    Constant Field Values

### SCONTEXT__IMPLEMENTATION

    static final int SCONTEXT__IMPLEMENTATION

  The feature id for the 'Implementation' containment reference.

  See Also:
    Constant Field Values

### SCONTEXT__PARENT

    static final int SCONTEXT__PARENT

  The feature id for the 'Parent' reference.

  See Also:
    Constant Field Values

### SCONTEXT__STYLES

    static final int SCONTEXT__STYLES

  The feature id for the 'Styles' containment reference list.

  See Also:
    Constant Field Values

### SCONTEXT__OWNER

    static final int SCONTEXT__OWNER

  The feature id for the 'Owner' container reference.

  See Also:
    Constant Field Values

### SCONTEXT__CHILDREN

    static final int SCONTEXT__CHILDREN

  The feature id for the 'Children' containment reference list.

  See Also:
    Constant Field Values

### SCONTEXT__AGENTS

    static final int SCONTEXT__AGENTS

  The feature id for the 'Agents' containment reference list.

  See Also:
    Constant Field Values

### SCONTEXT__PROJECTIONS

    static final int SCONTEXT__PROJECTIONS

  The feature id for the 'Projections' containment reference list.

  See Also:
    Constant Field Values

### SCONTEXT__VALUE_LAYERS

    static final int SCONTEXT__VALUE_LAYERS

  The feature id for the 'Value Layers' containment reference list.

  See Also:
    Constant Field Values

### SCONTEXT__LIBRARY

    static final int SCONTEXT__LIBRARY

  The feature id for the 'Library' containment reference list.

  See Also:
    Constant Field Values

### SCONTEXT__ALL_AGENTS

    static final int SCONTEXT__ALL_AGENTS

  The feature id for the 'All Agents' reference list.

  See Also:
    Constant Field Values

### SCONTEXT__ALL_CONTEXTS

    static final int SCONTEXT__ALL_CONTEXTS

  The feature id for the 'All Contexts' reference list.

  See Also:
    Constant Field Values

### SCONTEXT_FEATURE_COUNT

    static final int SCONTEXT_FEATURE_COUNT

  The number of structural features of the 'SContext' class.

  See Also:
    Constant Field Values

### SPROJECTION__LABEL

    static final int SPROJECTION__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SPROJECTION__ID

    static final int SPROJECTION__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### SPROJECTION__PLURAL_LABEL

    static final int SPROJECTION__PLURAL_LABEL

  The feature id for the 'Plural Label' attribute.

  See Also:
    Constant Field Values

### SPROJECTION__DESCRIPTION

    static final int SPROJECTION__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SPROJECTION__ATTRIBUTES

    static final int SPROJECTION__ATTRIBUTES

  The feature id for the 'Attributes' containment reference list.

  See Also:
    Constant Field Values

### SPROJECTION__OWNER

    static final int SPROJECTION__OWNER

  The feature id for the 'Owner' container reference.

  See Also:
    Constant Field Values

### SPROJECTION_FEATURE_COUNT

    static final int SPROJECTION_FEATURE_COUNT

  The number of structural features of the 'SProjection' class.

  See Also:
    Constant Field Values

### SN_DIMENSIONAL__LABEL

    static final int SN_DIMENSIONAL__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SN_DIMENSIONAL__ID

    static final int SN_DIMENSIONAL__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### SN_DIMENSIONAL__PLURAL_LABEL

    static final int SN_DIMENSIONAL__PLURAL_LABEL

  The feature id for the 'Plural Label' attribute.

  See Also:
    Constant Field Values

### SN_DIMENSIONAL__DESCRIPTION

    static final int SN_DIMENSIONAL__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SN_DIMENSIONAL__ATTRIBUTES

    static final int SN_DIMENSIONAL__ATTRIBUTES

  The feature id for the 'Attributes' containment reference list.

  See Also:
    Constant Field Values

### SN_DIMENSIONAL__OWNER

    static final int SN_DIMENSIONAL__OWNER

  The feature id for the 'Owner' container reference.

  See Also:
    Constant Field Values

### SN_DIMENSIONAL__DIMENSIONALITY

    static final int SN_DIMENSIONAL__DIMENSIONALITY

  The feature id for the 'Dimensionality' attribute.

  See Also:
    Constant Field Values

### SN_DIMENSIONAL__BORDER_RULE

    static final int SN_DIMENSIONAL__BORDER_RULE

  The feature id for the 'Border Rule' attribute.

  See Also:
    Constant Field Values

### SN_DIMENSIONAL_FEATURE_COUNT

    static final int SN_DIMENSIONAL_FEATURE_COUNT

  The number of structural features of the 'SN Dimensional' class.

  See Also:
    Constant Field Values

### SCONTINUOUS_SPACE__LABEL

    static final int SCONTINUOUS_SPACE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SCONTINUOUS_SPACE__ID

    static final int SCONTINUOUS_SPACE__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### SCONTINUOUS_SPACE__PLURAL_LABEL

    static final int SCONTINUOUS_SPACE__PLURAL_LABEL

  The feature id for the 'Plural Label' attribute.

  See Also:
    Constant Field Values

### SCONTINUOUS_SPACE__DESCRIPTION

    static final int SCONTINUOUS_SPACE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SCONTINUOUS_SPACE__ATTRIBUTES

    static final int SCONTINUOUS_SPACE__ATTRIBUTES

  The feature id for the 'Attributes' containment reference list.

  See Also:
    Constant Field Values

### SCONTINUOUS_SPACE__OWNER

    static final int SCONTINUOUS_SPACE__OWNER

  The feature id for the 'Owner' container reference.

  See Also:
    Constant Field Values

### SCONTINUOUS_SPACE__DIMENSIONALITY

    static final int SCONTINUOUS_SPACE__DIMENSIONALITY

  The feature id for the 'Dimensionality' attribute.

  See Also:
    Constant Field Values

### SCONTINUOUS_SPACE__BORDER_RULE

    static final int SCONTINUOUS_SPACE__BORDER_RULE

  The feature id for the 'Border Rule' attribute.

  See Also:
    Constant Field Values

### SCONTINUOUS_SPACE_FEATURE_COUNT

    static final int SCONTINUOUS_SPACE_FEATURE_COUNT

  The number of structural features of the 'SContinuous Space' class.

  See Also:
    Constant Field Values

### SGRID__LABEL

    static final int SGRID__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SGRID__ID

    static final int SGRID__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### SGRID__PLURAL_LABEL

    static final int SGRID__PLURAL_LABEL

  The feature id for the 'Plural Label' attribute.

  See Also:
    Constant Field Values

### SGRID__DESCRIPTION

    static final int SGRID__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SGRID__ATTRIBUTES

    static final int SGRID__ATTRIBUTES

  The feature id for the 'Attributes' containment reference list.

  See Also:
    Constant Field Values

### SGRID__OWNER

    static final int SGRID__OWNER

  The feature id for the 'Owner' container reference.

  See Also:
    Constant Field Values

### SGRID__DIMENSIONALITY

    static final int SGRID__DIMENSIONALITY

  The feature id for the 'Dimensionality' attribute.

  See Also:
    Constant Field Values

### SGRID__BORDER_RULE

    static final int SGRID__BORDER_RULE

  The feature id for the 'Border Rule' attribute.

  See Also:
    Constant Field Values

### SGRID__MULTI_OCCUPANT

    static final int SGRID__MULTI_OCCUPANT

  The feature id for the 'Multi Occupant' attribute.

  See Also:
    Constant Field Values

### SGRID__NEIGHBORHOOD

    static final int SGRID__NEIGHBORHOOD

  The feature id for the 'Neighborhood' attribute.

  See Also:
    Constant Field Values

### SGRID_FEATURE_COUNT

    static final int SGRID_FEATURE_COUNT

  The number of structural features of the 'SGrid' class.

  See Also:
    Constant Field Values

### SNETWORK__LABEL

    static final int SNETWORK__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SNETWORK__ID

    static final int SNETWORK__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### SNETWORK__PLURAL_LABEL

    static final int SNETWORK__PLURAL_LABEL

  The feature id for the 'Plural Label' attribute.

  See Also:
    Constant Field Values

### SNETWORK__DESCRIPTION

    static final int SNETWORK__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SNETWORK__ATTRIBUTES

    static final int SNETWORK__ATTRIBUTES

  The feature id for the 'Attributes' containment reference list.

  See Also:
    Constant Field Values

### SNETWORK__OWNER

    static final int SNETWORK__OWNER

  The feature id for the 'Owner' container reference.

  See Also:
    Constant Field Values

### SNETWORK__DIRECTED

    static final int SNETWORK__DIRECTED

  The feature id for the 'Directed' attribute.

  See Also:
    Constant Field Values

### SNETWORK_FEATURE_COUNT

    static final int SNETWORK_FEATURE_COUNT

  The number of structural features of the 'SNetwork' class.

  See Also:
    Constant Field Values

### SGEOGRAPHY__LABEL

    static final int SGEOGRAPHY__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SGEOGRAPHY__ID

    static final int SGEOGRAPHY__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### SGEOGRAPHY__PLURAL_LABEL

    static final int SGEOGRAPHY__PLURAL_LABEL

  The feature id for the 'Plural Label' attribute.

  See Also:
    Constant Field Values

### SGEOGRAPHY__DESCRIPTION

    static final int SGEOGRAPHY__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SGEOGRAPHY__ATTRIBUTES

    static final int SGEOGRAPHY__ATTRIBUTES

  The feature id for the 'Attributes' containment reference list.

  See Also:
    Constant Field Values

### SGEOGRAPHY__OWNER

    static final int SGEOGRAPHY__OWNER

  The feature id for the 'Owner' container reference.

  See Also:
    Constant Field Values

### SGEOGRAPHY_FEATURE_COUNT

    static final int SGEOGRAPHY_FEATURE_COUNT

  The number of structural features of the 'SGeography' class.

  See Also:
    Constant Field Values

### SVALUE_LAYER__LABEL

    static final int SVALUE_LAYER__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SVALUE_LAYER__ID

    static final int SVALUE_LAYER__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### SVALUE_LAYER__PLURAL_LABEL

    static final int SVALUE_LAYER__PLURAL_LABEL

  The feature id for the 'Plural Label' attribute.

  See Also:
    Constant Field Values

### SVALUE_LAYER__DESCRIPTION

    static final int SVALUE_LAYER__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SVALUE_LAYER_FEATURE_COUNT

    static final int SVALUE_LAYER_FEATURE_COUNT

  The number of structural features of the 'SValue Layer' class.

  See Also:
    Constant Field Values

### SSTYLE__LABEL

    static final int SSTYLE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SSTYLE__ID

    static final int SSTYLE__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### SSTYLE__PLURAL_LABEL

    static final int SSTYLE__PLURAL_LABEL

  The feature id for the 'Plural Label' attribute.

  See Also:
    Constant Field Values

### SSTYLE__DESCRIPTION

    static final int SSTYLE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SSTYLE__ATTRIBUTES

    static final int SSTYLE__ATTRIBUTES

  The feature id for the 'Attributes' containment reference list.

  See Also:
    Constant Field Values

### SSTYLE__ROOT_ACTIVITY

    static final int SSTYLE__ROOT_ACTIVITY

  The feature id for the 'Root Activity' containment reference.

  See Also:
    Constant Field Values

### SSTYLE__IMPLEMENTATION

    static final int SSTYLE__IMPLEMENTATION

  The feature id for the 'Implementation' containment reference.

  See Also:
    Constant Field Values

### SSTYLE__PARENT

    static final int SSTYLE__PARENT

  The feature id for the 'Parent' reference.

  See Also:
    Constant Field Values

### SSTYLE__AGENT

    static final int SSTYLE__AGENT

  The feature id for the 'Agent' container reference.

  See Also:
    Constant Field Values

### SSTYLE_FEATURE_COUNT

    static final int SSTYLE_FEATURE_COUNT

  The number of structural features of the 'SStyle' class.

  See Also:
    Constant Field Values

### SSTYLE2_D__LABEL

    static final int SSTYLE2_D__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SSTYLE2_D__ID

    static final int SSTYLE2_D__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### SSTYLE2_D__PLURAL_LABEL

    static final int SSTYLE2_D__PLURAL_LABEL

  The feature id for the 'Plural Label' attribute.

  See Also:
    Constant Field Values

### SSTYLE2_D__DESCRIPTION

    static final int SSTYLE2_D__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SSTYLE2_D__ATTRIBUTES

    static final int SSTYLE2_D__ATTRIBUTES

  The feature id for the 'Attributes' containment reference list.

  See Also:
    Constant Field Values

### SSTYLE2_D__ROOT_ACTIVITY

    static final int SSTYLE2_D__ROOT_ACTIVITY

  The feature id for the 'Root Activity' containment reference.

  See Also:
    Constant Field Values

### SSTYLE2_D__IMPLEMENTATION

    static final int SSTYLE2_D__IMPLEMENTATION

  The feature id for the 'Implementation' containment reference.

  See Also:
    Constant Field Values

### SSTYLE2_D__PARENT

    static final int SSTYLE2_D__PARENT

  The feature id for the 'Parent' reference.

  See Also:
    Constant Field Values

### SSTYLE2_D__AGENT

    static final int SSTYLE2_D__AGENT

  The feature id for the 'Agent' container reference.

  See Also:
    Constant Field Values

### SSTYLE2_D_FEATURE_COUNT

    static final int SSTYLE2_D_FEATURE_COUNT

  The number of structural features of the 'SStyle2 D' class.

  See Also:
    Constant Field Values

### SSTYLE_SHAPE

    static final int SSTYLE_SHAPE

  The meta object id for the '`SStyle Shape`' class.

  See Also:
    `SStyleShapeImpl`, `MetaABMPackageImpl.getSStyleShape()`, Constant Field Values

### SSTYLE_SHAPE__LABEL

    static final int SSTYLE_SHAPE__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SSTYLE_SHAPE__ID

    static final int SSTYLE_SHAPE__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### SSTYLE_SHAPE__PLURAL_LABEL

    static final int SSTYLE_SHAPE__PLURAL_LABEL

  The feature id for the 'Plural Label' attribute.

  See Also:
    Constant Field Values

### SSTYLE_SHAPE__DESCRIPTION

    static final int SSTYLE_SHAPE__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SSTYLE_SHAPE__ATTRIBUTES

    static final int SSTYLE_SHAPE__ATTRIBUTES

  The feature id for the 'Attributes' containment reference list.

  See Also:
    Constant Field Values

### SSTYLE_SHAPE__ROOT_ACTIVITY

    static final int SSTYLE_SHAPE__ROOT_ACTIVITY

  The feature id for the 'Root Activity' containment reference.

  See Also:
    Constant Field Values

### SSTYLE_SHAPE__IMPLEMENTATION

    static final int SSTYLE_SHAPE__IMPLEMENTATION

  The feature id for the 'Implementation' containment reference.

  See Also:
    Constant Field Values

### SSTYLE_SHAPE__PARENT

    static final int SSTYLE_SHAPE__PARENT

  The feature id for the 'Parent' reference.

  See Also:
    Constant Field Values

### SSTYLE_SHAPE__AGENT

    static final int SSTYLE_SHAPE__AGENT

  The feature id for the 'Agent' container reference.

  See Also:
    Constant Field Values

### SSTYLE_SHAPE__SHAPE

    static final int SSTYLE_SHAPE__SHAPE

  The feature id for the 'Shape' attribute.

  See Also:
    Constant Field Values

### SSTYLE_SHAPE_FEATURE_COUNT

    static final int SSTYLE_SHAPE_FEATURE_COUNT

  The number of structural features of the 'SStyle Shape' class.

  See Also:
    Constant Field Values

### SSTYLE3_D__LABEL

    static final int SSTYLE3_D__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SSTYLE3_D__ID

    static final int SSTYLE3_D__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### SSTYLE3_D__PLURAL_LABEL

    static final int SSTYLE3_D__PLURAL_LABEL

  The feature id for the 'Plural Label' attribute.

  See Also:
    Constant Field Values

### SSTYLE3_D__DESCRIPTION

    static final int SSTYLE3_D__DESCRIPTION

  The feature id for the 'Description' attribute.

  See Also:
    Constant Field Values

### SSTYLE3_D__ATTRIBUTES

    static final int SSTYLE3_D__ATTRIBUTES

  The feature id for the 'Attributes' containment reference list.

  See Also:
    Constant Field Values

### SSTYLE3_D__ROOT_ACTIVITY

    static final int SSTYLE3_D__ROOT_ACTIVITY

  The feature id for the 'Root Activity' containment reference.

  See Also:
    Constant Field Values

### SSTYLE3_D__IMPLEMENTATION

    static final int SSTYLE3_D__IMPLEMENTATION

  The feature id for the 'Implementation' containment reference.

  See Also:
    Constant Field Values

### SSTYLE3_D__PARENT

    static final int SSTYLE3_D__PARENT

  The feature id for the 'Parent' reference.

  See Also:
    Constant Field Values

### SSTYLE3_D__AGENT

    static final int SSTYLE3_D__AGENT

  The feature id for the 'Agent' container reference.

  See Also:
    Constant Field Values

### SSTYLE3_D_FEATURE_COUNT

    static final int SSTYLE3_D_FEATURE_COUNT

  The number of structural features of the 'SStyle3 D' class.

  See Also:
    Constant Field Values

### SIMPLEMENTED__LABEL

    static final int SIMPLEMENTED__LABEL

  The feature id for the 'Label' attribute.

  See Also:
    Constant Field Values

### SIMPLEMENTED__ID

    static final int SIMPLEMENTED__ID

  The feature id for the 'ID' attribute.

  See Also:
    Constant Field Values

### SIMPLEMENTED__IMPLEMENTATION

    static final int SIMPLEMENTED__IMPLEMENTATION

  The feature id for the 'Implementation' containment reference.

  See Also:
    Constant Field Values

### SIMPLEMENTED__PARENT

    static final int SIMPLEMENTED__PARENT

  The feature id for the 'Parent' reference.

  See Also:
    Constant Field Values

### SIMPLEMENTED_FEATURE_COUNT

    static final int SIMPLEMENTED_FEATURE_COUNT

  The number of structural features of the 'SImplemented' class.

  See Also:
    Constant Field Values

### SIMPLEMENTATION__PACKAGE

    static final int SIMPLEMENTATION__PACKAGE

  The feature id for the 'Package' attribute.

  See Also:
    Constant Field Values

### SIMPLEMENTATION__CLASS_NAME

    static final int SIMPLEMENTATION__CLASS_NAME

  The feature id for the 'Class Name' attribute.

  See Also:
    Constant Field Values

### SIMPLEMENTATION__BASE_PATH

    static final int SIMPLEMENTATION__BASE_PATH

  The feature id for the 'Base Path' attribute.

  See Also:
    Constant Field Values

### SIMPLEMENTATION__MODE

    static final int SIMPLEMENTATION__MODE

  The feature id for the 'Mode' attribute.

  See Also:
    Constant Field Values

### SIMPLEMENTATION__TARGET

    static final int SIMPLEMENTATION__TARGET

  The feature id for the 'Target' container reference.

  See Also:
    Constant Field Values

### SIMPLEMENTATION__QUALIFIED_NAME

    static final int SIMPLEMENTATION__QUALIFIED_NAME

  The feature id for the 'Qualified Name' attribute.

  See Also:
    Constant Field Values

### SIMPLEMENTATION__DERIVED_PATH

    static final int SIMPLEMENTATION__DERIVED_PATH

  The feature id for the 'Derived Path' attribute.

  See Also:
    Constant Field Values

### SIMPLEMENTATION__DERIVED_PACKAGE

    static final int SIMPLEMENTATION__DERIVED_PACKAGE

  The feature id for the 'Derived Package' attribute.

  See Also:
    Constant Field Values

### SIMPLEMENTATION__JAVA_FILE_LOC

    static final int SIMPLEMENTATION__JAVA_FILE_LOC

  The feature id for the 'Java File Loc' attribute.

  See Also:
    Constant Field Values

### SIMPLEMENTATION__SRC_DIR

    static final int SIMPLEMENTATION__SRC_DIR

  The feature id for the 'Src Dir' attribute.

  See Also:
    Constant Field Values

### SIMPLEMENTATION__BIN_DIR

    static final int SIMPLEMENTATION__BIN_DIR

  The feature id for the 'Bin Dir' attribute.

  See Also:
    Constant Field Values

### SIMPLEMENTATION__CLASS_FILE_LOC

    static final int SIMPLEMENTATION__CLASS_FILE_LOC

  The feature id for the 'Class File Loc' attribute.

  See Also:
    Constant Field Values

### SIMPLEMENTATION__DERIVED_BIN_DIR

    static final int SIMPLEMENTATION__DERIVED_BIN_DIR

  The feature id for the 'Derived Bin Dir' attribute.

  See Also:
    Constant Field Values

### SIMPLEMENTATION__DERIVED_SRC_DIR

    static final int SIMPLEMENTATION__DERIVED_SRC_DIR

  The feature id for the 'Derived Src Dir' attribute.

  See Also:
    Constant Field Values

### SIMPLEMENTATION_FEATURE_COUNT

    static final int SIMPLEMENTATION_FEATURE_COUNT

  The number of structural features of the 'SImplementation' class.

  See Also:
    Constant Field Values

### IMODEL_EXTENSION

    static final int IMODEL_EXTENSION

  The meta object id for the '`IModel Extension`' class.

  See Also:
    `IModelExtension`, `MetaABMPackageImpl.getIModelExtension()`, Constant Field Values

### IMODEL_EXTENSION_FEATURE_COUNT

    static final int IMODEL_EXTENSION_FEATURE_COUNT

  The number of structural features of the 'IModel Extension' class.

  See Also:
    Constant Field Values

### IAGENT_CHILD

    static final int IAGENT_CHILD

  The meta object id for the '`IAgent Child`' class.

  See Also:
    `IAgentChild`, `MetaABMPackageImpl.getIAgentChild()`, Constant Field Values

### IAGENT_CHILD__PARENT

    static final int IAGENT_CHILD__PARENT

  The feature id for the 'Parent' container reference.

  See Also:
    Constant Field Values

### IAGENT_CHILD_FEATURE_COUNT

    static final int IAGENT_CHILD_FEATURE_COUNT

  The number of structural features of the 'IAgent Child' class.

  See Also:
    Constant Field Values

### IATTRIBUTE_CHILD

    static final int IATTRIBUTE_CHILD

  The meta object id for the '`IAttribute Child`' class.

  See Also:
    `IAttributeChild`, `MetaABMPackageImpl.getIAttributeChild()`, Constant Field Values

### IATTRIBUTE_CHILD__PARENT

    static final int IATTRIBUTE_CHILD__PARENT

  The feature id for the 'Parent' container reference.

  See Also:
    Constant Field Values

### IATTRIBUTE_CHILD_FEATURE_COUNT

    static final int IATTRIBUTE_CHILD_FEATURE_COUNT

  The number of structural features of the 'IAttribute Child' class.

  See Also:
    Constant Field Values

### SATTRIBUTE_TYPE

    static final int SATTRIBUTE_TYPE

  The meta object id for the '`SAttribute Type`' enum.

  See Also:
    `SAttributeType`, `MetaABMPackageImpl.getSAttributeType()`, Constant Field Values

### SBORDER_RULE

    static final int SBORDER_RULE

  The meta object id for the '`SBorder Rule`' enum.

  See Also:
    `SBorderRule`, `MetaABMPackageImpl.getSBorderRule()`, Constant Field Values

### SNEIGHBORHOOD_TYPE

    static final int SNEIGHBORHOOD_TYPE

  The meta object id for the '`SNeighborhood Type`' enum.

  See Also:
    `SNeighborhoodType`, `MetaABMPackageImpl.getSNeighborhoodType()`, Constant Field Values

### SIMPLEMENTATION_MODE

    static final int SIMPLEMENTATION_MODE

  The meta object id for the '`SImplementation Mode`' enum.

  See Also:
    `SImplementationMode`, `MetaABMPackageImpl.getSImplementationMode()`, Constant Field Values

### SSHAPE_TYPE

    static final int SSHAPE_TYPE

  The meta object id for the '`SShape Type`' enum.

  See Also:
    `SShapeType`, `MetaABMPackageImpl.getSShapeType()`, Constant Field Values

Method Detail

### getIID

    org.eclipse.emf.ecore.EClass getIID()

  Returns the meta object for class '`IID`'.

  Returns:
    the meta object for class 'IID'.
  See Also:
    `IID`

### getIID_Label

    org.eclipse.emf.ecore.EAttribute getIID_Label()

  Returns the meta object for the attribute '`Label`'.

  Returns:
    the meta object for the attribute 'Label'.
  See Also:
    `IID.getLabel()`, `getIID()`

### getIID_ID

    org.eclipse.emf.ecore.EAttribute getIID_ID()

  Returns the meta object for the attribute '`ID`'.

  Returns:
    the meta object for the attribute 'ID'.
  See Also:
    `IID.getID()`, `getIID()`

### getITyped

    org.eclipse.emf.ecore.EClass getITyped()

  Returns the meta object for class '`ITyped`'.

  Returns:
    the meta object for class 'ITyped'.
  See Also:
    `ITyped`

### getITyped_SType

    org.eclipse.emf.ecore.EAttribute getITyped_SType()

  Returns the meta object for the attribute '`SType`'.

  Returns:
    the meta object for the attribute 'SType'.
  See Also:
    `ITyped.getSType()`, `getITyped()`

### getITypedArray

    org.eclipse.emf.ecore.EClass getITypedArray()

  Returns the meta object for class '`ITyped Array`'.

  Returns:
    the meta object for class 'ITyped Array'.
  See Also:
    `ITypedArray`

### getITypedArray_Size

    org.eclipse.emf.ecore.EAttribute getITypedArray_Size()

  Returns the meta object for the attribute ' `Size`'.

  Returns:
    the meta object for the attribute 'Size'.
  See Also:
    `ITypedArray.getSize()`, `getITypedArray()`

### getIValue

    org.eclipse.emf.ecore.EClass getIValue()

  Returns the meta object for class '`IValue`'.

  Returns:
    the meta object for class 'IValue'.
  See Also:
    `IValue`

### getIValue_Accessors

    org.eclipse.emf.ecore.EReference getIValue_Accessors()

  Returns the meta object for the reference list ' `Accessors`'.

  Returns:
    the meta object for the reference list 'Accessors'.
  See Also:
    `IValue.getAccessors()`, `getIValue()`

### getIValue_AvailableTypes

    org.eclipse.emf.ecore.EAttribute getIValue_AvailableTypes()

  Returns the meta object for the attribute list '`Available Types`'.

  Returns:
    the meta object for the attribute list 'Available Types'.
  See Also:
    `IValue.getAvailableTypes()`, `getIValue()`

### getIArtifact

    org.eclipse.emf.ecore.EClass getIArtifact()

  Returns the meta object for class '`IArtifact`'.

  Returns:
    the meta object for class 'IArtifact'.
  See Also:
    `IArtifact`

### getIAct

    org.eclipse.emf.ecore.EClass getIAct()

  Returns the meta object for class '`IAct`'.

  Returns:
    the meta object for class 'IAct'.
  See Also:
    `IAct`

### getSNamed

    org.eclipse.emf.ecore.EClass getSNamed()

  Returns the meta object for class '`SNamed`'.

  Returns:
    the meta object for class 'SNamed'.
  See Also:
    `SNamed`

### getSNamed_PluralLabel

    org.eclipse.emf.ecore.EAttribute getSNamed_PluralLabel()

  Returns the meta object for the attribute ' `Plural Label`'.

  Returns:
    the meta object for the attribute 'Plural Label'.
  See Also:
    `SNamed.getPluralLabel()`, `getSNamed()`

### getSNamed_Description

    org.eclipse.emf.ecore.EAttribute getSNamed_Description()

  Returns the meta object for the attribute ' `Description`'.

  Returns:
    the meta object for the attribute 'Description'.
  See Also:
    `SNamed.getDescription()`, `getSNamed()`

### getSAttributed

    org.eclipse.emf.ecore.EClass getSAttributed()

  Returns the meta object for class '`SAttributed`'.

  Returns:
    the meta object for class 'SAttributed'.
  See Also:
    `SAttributed`

### getSAttributed_Attributes

    org.eclipse.emf.ecore.EReference getSAttributed_Attributes()

  Returns the meta object for the containment reference list '`Attributes`'.

  Returns:
    the meta object for the containment reference list 'Attributes'.
  See Also:
    `SAttributed.getAttributes()`, `getSAttributed()`

### getSAttribute

    org.eclipse.emf.ecore.EClass getSAttribute()

  Returns the meta object for class '`SAttribute`'.

  Returns:
    the meta object for class 'SAttribute'.
  See Also:
    `SAttribute`

### getSAttribute_Owner

    org.eclipse.emf.ecore.EReference getSAttribute_Owner()

  Returns the meta object for the container reference ' `Owner`'.

  Returns:
    the meta object for the container reference 'Owner'.
  See Also:
    `SAttribute.getOwner()`, `getSAttribute()`

### getSAttribute_GatherData

    org.eclipse.emf.ecore.EAttribute getSAttribute_GatherData()

  Returns the meta object for the attribute ' `Gather Data`'.

  Returns:
    the meta object for the attribute 'Gather Data'.
  See Also:
    `SAttribute.isGatherData()`, `getSAttribute()`

### getSAttribute_DefaultValue

    org.eclipse.emf.ecore.EAttribute getSAttribute_DefaultValue()

  Returns the meta object for the attribute '`Default Value`'.

  Returns:
    the meta object for the attribute 'Default Value'.
  See Also:
    `SAttribute.getDefaultValue()`, `getSAttribute()`

### getSAttribute_Units

    org.eclipse.emf.ecore.EAttribute getSAttribute_Units()

  Returns the meta object for the attribute ' `Units`'.

  Returns:
    the meta object for the attribute 'Units'.
  See Also:
    `SAttribute.getUnits()`, `getSAttribute()`

### getSAttribute_Immutable

    org.eclipse.emf.ecore.EAttribute getSAttribute_Immutable()

  Returns the meta object for the attribute ' `Immutable`'.

  Returns:
    the meta object for the attribute 'Immutable'.
  See Also:
    `SAttribute.isImmutable()`, `getSAttribute()`

### getSAttribute_Derived

    org.eclipse.emf.ecore.EAttribute getSAttribute_Derived()

  Returns the meta object for the attribute '`Derived`'.

  Returns:
    the meta object for the attribute 'Derived'.
  See Also:
    `SAttribute.isDerived()`, `getSAttribute()`

### getSAttribute_Children

    org.eclipse.emf.ecore.EReference getSAttribute_Children()

  Returns the meta object for the containment reference list '`Children`'.

  Returns:
    the meta object for the containment reference list 'Children'.
  See Also:
    `SAttribute.getChildren()`, `getSAttribute()`

### getSAttributeArray

    org.eclipse.emf.ecore.EClass getSAttributeArray()

  Returns the meta object for class '`SAttribute Array`'.

  Returns:
    the meta object for class 'SAttribute Array'.
  See Also:
    `SAttributeArray`

### getSAgent

    org.eclipse.emf.ecore.EClass getSAgent()

  Returns the meta object for class '`SAgent`'.

  Returns:
    the meta object for class 'SAgent'.
  See Also:
    `SAgent`

### getSAgent_Styles

    org.eclipse.emf.ecore.EReference getSAgent_Styles()

  Returns the meta object for the containment reference list '`Styles`'.

  Returns:
    the meta object for the containment reference list 'Styles'.
  See Also:
    `SAgent.getStyles()`, `getSAgent()`

### getSAgent_Owner

    org.eclipse.emf.ecore.EReference getSAgent_Owner()

  Returns the meta object for the container reference '`Owner`'.

  Returns:
    the meta object for the container reference 'Owner'.
  See Also:
    `SAgent.getOwner()`, `getSAgent()`

### getSAgent_Children

    org.eclipse.emf.ecore.EReference getSAgent_Children()

  Returns the meta object for the containment reference list '`Children`'.

  Returns:
    the meta object for the containment reference list 'Children'.
  See Also:
    `SAgent.getChildren()`, `getSAgent()`

### getSContext

    org.eclipse.emf.ecore.EClass getSContext()

  Returns the meta object for class '`SContext`'.

  Returns:
    the meta object for class 'SContext'.
  See Also:
    `SContext`

### getSContext_Agents

    org.eclipse.emf.ecore.EReference getSContext_Agents()

  Returns the meta object for the containment reference list '`Agents`'.

  Returns:
    the meta object for the containment reference list 'Agents'.
  See Also:
    `SContext.getAgents()`, `getSContext()`

### getSContext_Projections

    org.eclipse.emf.ecore.EReference getSContext_Projections()

  Returns the meta object for the containment reference list '`Projections`'.

  Returns:
    the meta object for the containment reference list 'Projections'.
  See Also:
    `SContext.getProjections()`, `getSContext()`

### getSContext_ValueLayers

    org.eclipse.emf.ecore.EReference getSContext_ValueLayers()

  Returns the meta object for the containment reference list '`Value Layers`'.

  Returns:
    the meta object for the containment reference list 'Value Layers'.
  See Also:
    `SContext.getValueLayers()`, `getSContext()`

### getSContext_Library

    org.eclipse.emf.ecore.EReference getSContext_Library()

  Returns the meta object for the containment reference list '`Library`'.

  Returns:
    the meta object for the containment reference list 'Library'.
  See Also:
    `SContext.getLibrary()`, `getSContext()`

### getSContext_AllAgents

    org.eclipse.emf.ecore.EReference getSContext_AllAgents()

  Returns the meta object for the reference list '`All Agents`'.

  Returns:
    the meta object for the reference list 'All Agents'.
  See Also:
    `SContext.getAllAgents()`, `getSContext()`

### getSContext_AllContexts

    org.eclipse.emf.ecore.EReference getSContext_AllContexts()

  Returns the meta object for the reference list '`All Contexts`'.

  Returns:
    the meta object for the reference list 'All Contexts'.
  See Also:
    `SContext.getAllContexts()`, `getSContext()`

### getSProjection

    org.eclipse.emf.ecore.EClass getSProjection()

  Returns the meta object for class '`SProjection`'.

  Returns:
    the meta object for class 'SProjection'.
  See Also:
    `SProjection`

### getSProjection_Owner

    org.eclipse.emf.ecore.EReference getSProjection_Owner()

  Returns the meta object for the container reference '`Owner`'.

  Returns:
    the meta object for the container reference 'Owner'.
  See Also:
    `SProjection.getOwner()`, `getSProjection()`

### getSNDimensional

    org.eclipse.emf.ecore.EClass getSNDimensional()

  Returns the meta object for class '`SN Dimensional`'.

  Returns:
    the meta object for class 'SN Dimensional'.
  See Also:
    `SNDimensional`

### getSNDimensional_Dimensionality

    org.eclipse.emf.ecore.EAttribute getSNDimensional_Dimensionality()

  Returns the meta object for the attribute '`Dimensionality`'.

  Returns:
    the meta object for the attribute 'Dimensionality'.
  See Also:
    `SNDimensional.getDimensionality()`, `getSNDimensional()`

### getSNDimensional_BorderRule

    org.eclipse.emf.ecore.EAttribute getSNDimensional_BorderRule()

  Returns the meta object for the attribute '`Border Rule`'.

  Returns:
    the meta object for the attribute 'Border Rule'.
  See Also:
    `SNDimensional.getBorderRule()`, `getSNDimensional()`

### getSContinuousSpace

    org.eclipse.emf.ecore.EClass getSContinuousSpace()

  Returns the meta object for class '`SContinuous Space`'.

  Returns:
    the meta object for class 'SContinuous Space'.
  See Also:
    `SContinuousSpace`

### getSGrid

    org.eclipse.emf.ecore.EClass getSGrid()

  Returns the meta object for class '`SGrid`'.

  Returns:
    the meta object for class 'SGrid'.
  See Also:
    `SGrid`

### getSGrid_MultiOccupant

    org.eclipse.emf.ecore.EAttribute getSGrid_MultiOccupant()

  Returns the meta object for the attribute '`Multi Occupant`'.

  Returns:
    the meta object for the attribute 'Multi Occupant'.
  See Also:
    `SGrid.isMultiOccupant()`, `getSGrid()`

### getSGrid_Neighborhood

    org.eclipse.emf.ecore.EAttribute getSGrid_Neighborhood()

  Returns the meta object for the attribute ' `Neighborhood`'.

  Returns:
    the meta object for the attribute 'Neighborhood'.
  See Also:
    `SGrid.getNeighborhood()`, `getSGrid()`

### getSNetwork

    org.eclipse.emf.ecore.EClass getSNetwork()

  Returns the meta object for class '`SNetwork`'.

  Returns:
    the meta object for class 'SNetwork'.
  See Also:
    `SNetwork`

### getSNetwork_Directed

    org.eclipse.emf.ecore.EAttribute getSNetwork_Directed()

  Returns the meta object for the attribute ' `Directed`'.

  Returns:
    the meta object for the attribute 'Directed'.
  See Also:
    `SNetwork.isDirected()`, `getSNetwork()`

### getSGeography

    org.eclipse.emf.ecore.EClass getSGeography()

  Returns the meta object for class '`SGeography`'.

  Returns:
    the meta object for class 'SGeography'.
  See Also:
    `SGeography`

### getSValueLayer

    org.eclipse.emf.ecore.EClass getSValueLayer()

  Returns the meta object for class '`SValue Layer`'.

  Returns:
    the meta object for class 'SValue Layer'.
  See Also:
    `SValueLayer`

### getSStyle

    org.eclipse.emf.ecore.EClass getSStyle()

  Returns the meta object for class '`SStyle`'.

  Returns:
    the meta object for class 'SStyle'.
  See Also:
    `SStyle`

### getSStyle_Agent

    org.eclipse.emf.ecore.EReference getSStyle_Agent()

  Returns the meta object for the container reference '`Agent`'.

  Returns:
    the meta object for the container reference 'Agent'.
  See Also:
    `SStyle.getAgent()`, `getSStyle()`

### getSStyle3D

    org.eclipse.emf.ecore.EClass getSStyle3D()

  Returns the meta object for class '`SStyle3 D`'.

  Returns:
    the meta object for class 'SStyle3 D'.
  See Also:
    `SStyle3D`

### getSStyle2D

    org.eclipse.emf.ecore.EClass getSStyle2D()

  Returns the meta object for class '`SStyle2 D`'.

  Returns:
    the meta object for class 'SStyle2 D'.
  See Also:
    `SStyle2D`

### getSStyleShape

    org.eclipse.emf.ecore.EClass getSStyleShape()

  Returns the meta object for class '`SStyle Shape`'.

  Returns:
    the meta object for class 'SStyle Shape'.
  See Also:
    `SStyleShape`

### getSStyleShape_Shape

    org.eclipse.emf.ecore.EAttribute getSStyleShape_Shape()

  Returns the meta object for the attribute ' `Shape`'.

  Returns:
    the meta object for the attribute 'Shape'.
  See Also:
    `SStyleShape.getShape()`, `getSStyleShape()`

### getSImplemented

    org.eclipse.emf.ecore.EClass getSImplemented()

  Returns the meta object for class '`SImplemented`'.

  Returns:
    the meta object for class 'SImplemented'.
  See Also:
    `SImplemented`

### getSImplemented_Implementation

    org.eclipse.emf.ecore.EReference getSImplemented_Implementation()

  Returns the meta object for the containment reference '`Implementation`'.

  Returns:
    the meta object for the containment reference 'Implementation'.
  See Also:
    `SImplemented.getImplementation()`, `getSImplemented()`

### getSImplemented_Parent

    org.eclipse.emf.ecore.EReference getSImplemented_Parent()

  Returns the meta object for the reference ' `Parent`'.

  Returns:
    the meta object for the reference 'Parent'.
  See Also:
    `SImplemented.getParent()`, `getSImplemented()`

### getSImplementation

    org.eclipse.emf.ecore.EClass getSImplementation()

  Returns the meta object for class '`SImplementation`'.

  Returns:
    the meta object for class 'SImplementation'.
  See Also:
    `SImplementation`

### getSImplementation_Package

    org.eclipse.emf.ecore.EAttribute getSImplementation_Package()

  Returns the meta object for the attribute ' `Package`'.

  Returns:
    the meta object for the attribute 'Package'.
  See Also:
    `SImplementation.getPackage()`, `getSImplementation()`

### getSImplementation_ClassName

    org.eclipse.emf.ecore.EAttribute getSImplementation_ClassName()

  Returns the meta object for the attribute '`Class Name`'.

  Returns:
    the meta object for the attribute 'Class Name'.
  See Also:
    `SImplementation.getClassName()`, `getSImplementation()`

### getSImplementation_BasePath

    org.eclipse.emf.ecore.EAttribute getSImplementation_BasePath()

  Returns the meta object for the attribute '`Base Path`'.

  Returns:
    the meta object for the attribute 'Base Path'.
  See Also:
    `SImplementation.getBasePath()`, `getSImplementation()`

### getSImplementation_Mode

    org.eclipse.emf.ecore.EAttribute getSImplementation_Mode()

  Returns the meta object for the attribute ' `Mode`'.

  Returns:
    the meta object for the attribute 'Mode'.
  See Also:
    `SImplementation.getMode()`, `getSImplementation()`

### getSImplementation_Target

    org.eclipse.emf.ecore.EReference getSImplementation_Target()

  Returns the meta object for the container reference '`Target`'.

  Returns:
    the meta object for the container reference 'Target'.
  See Also:
    `SImplementation.getTarget()`, `getSImplementation()`

### getSImplementation_QualifiedName

    org.eclipse.emf.ecore.EAttribute getSImplementation_QualifiedName()

  Returns the meta object for the attribute '`Qualified Name`'.

  Returns:
    the meta object for the attribute 'Qualified Name'.
  See Also:
    `SImplementation.getQualifiedName()`, `getSImplementation()`

### getSImplementation_DerivedPath

    org.eclipse.emf.ecore.EAttribute getSImplementation_DerivedPath()

  Returns the meta object for the attribute '`Derived Path`'.

  Returns:
    the meta object for the attribute 'Derived Path'.
  See Also:
    `SImplementation.getDerivedPath()`, `getSImplementation()`

### getSImplementation_DerivedPackage

    org.eclipse.emf.ecore.EAttribute getSImplementation_DerivedPackage()

  Returns the meta object for the attribute '`Derived Package`'.

  Returns:
    the meta object for the attribute 'Derived Package'.
  See Also:
    `SImplementation.getDerivedPackage()`, `getSImplementation()`

### getSImplementation_JavaFileLoc

    org.eclipse.emf.ecore.EAttribute getSImplementation_JavaFileLoc()

  Returns the meta object for the attribute '`Java File Loc`'.

  Returns:
    the meta object for the attribute 'Java File Loc'.
  See Also:
    `SImplementation.getJavaFileLoc()`, `getSImplementation()`

### getSImplementation_SrcDir

    org.eclipse.emf.ecore.EAttribute getSImplementation_SrcDir()

  Returns the meta object for the attribute ' `Src Dir`'.

  Returns:
    the meta object for the attribute 'Src Dir'.
  See Also:
    `SImplementation.getSrcDir()`, `getSImplementation()`

### getSImplementation_BinDir

    org.eclipse.emf.ecore.EAttribute getSImplementation_BinDir()

  Returns the meta object for the attribute ' `Bin Dir`'.

  Returns:
    the meta object for the attribute 'Bin Dir'.
  See Also:
    `SImplementation.getBinDir()`, `getSImplementation()`

### getSImplementation_ClassFileLoc

    org.eclipse.emf.ecore.EAttribute getSImplementation_ClassFileLoc()

  Returns the meta object for the attribute '`Class File Loc`'.

  Returns:
    the meta object for the attribute 'Class File Loc'.
  See Also:
    `SImplementation.getClassFileLoc()`, `getSImplementation()`

### getSImplementation_DerivedBinDir

    org.eclipse.emf.ecore.EAttribute getSImplementation_DerivedBinDir()

  Returns the meta object for the attribute '`Derived Bin Dir`'.

  Returns:
    the meta object for the attribute 'Derived Bin Dir'.
  See Also:
    `SImplementation.getDerivedBinDir()`, `getSImplementation()`

### getSImplementation_DerivedSrcDir

    org.eclipse.emf.ecore.EAttribute getSImplementation_DerivedSrcDir()

  Returns the meta object for the attribute '`Derived Src Dir`'.

  Returns:
    the meta object for the attribute 'Derived Src Dir'.
  See Also:
    `SImplementation.getDerivedSrcDir()`, `getSImplementation()`

### getIAgentChild

    org.eclipse.emf.ecore.EClass getIAgentChild()

  Returns the meta object for class '`IAgent Child`'.

  Returns:
    the meta object for class 'IAgent Child'.
  See Also:
    `IAgentChild`

### getIAgentChild_Parent

    org.eclipse.emf.ecore.EReference getIAgentChild_Parent()

  Returns the meta object for the container reference '`Parent`'.

  Returns:
    the meta object for the container reference 'Parent'.
  See Also:
    `IAgentChild.getParent()`, `getIAgentChild()`

### getIAttributeChild

    org.eclipse.emf.ecore.EClass getIAttributeChild()

  Returns the meta object for class '`IAttribute Child`'.

  Returns:
    the meta object for class 'IAttribute Child'.
  See Also:
    `IAttributeChild`

### getIAttributeChild_Parent

    org.eclipse.emf.ecore.EReference getIAttributeChild_Parent()

  Returns the meta object for the container reference '`Parent`'.

  Returns:
    the meta object for the container reference 'Parent'.
  See Also:
    `IAttributeChild.getParent()`, `getIAttributeChild()`

### getIModelExtension

    org.eclipse.emf.ecore.EClass getIModelExtension()

  Returns the meta object for class '`IModel Extension`'.

  Returns:
    the meta object for class 'IModel Extension'.
  See Also:
    `IModelExtension`

### getSState

    org.eclipse.emf.ecore.EClass getSState()

  Returns the meta object for class '`SState`'.

  Returns:
    the meta object for class 'SState'.
  See Also:
    `SState`

### getSState_Options

    org.eclipse.emf.ecore.EReference getSState_Options()

  Returns the meta object for the containment reference list '`Options`'.

  Returns:
    the meta object for the containment reference list 'Options'.
  See Also:
    `SState.getOptions()`, `getSState()`

### getSState_DefaultOption

    org.eclipse.emf.ecore.EReference getSState_DefaultOption()

  Returns the meta object for the reference '`Default Option`'.

  Returns:
    the meta object for the reference 'Default Option'.
  See Also:
    `SState.getDefaultOption()`, `getSState()`

### getSStateValue

    org.eclipse.emf.ecore.EClass getSStateValue()

  Returns the meta object for class '`SState Value`'.

  Returns:
    the meta object for class 'SState Value'.
  See Also:
    `SStateValue`

### getSStateValue_Set

    org.eclipse.emf.ecore.EReference getSStateValue_Set()

  Returns the meta object for the container reference '`Set`'.

  Returns:
    the meta object for the container reference 'Set'.
  See Also:
    `SStateValue.getSet()`, `getSStateValue()`

### getSActable

    org.eclipse.emf.ecore.EClass getSActable()

  Returns the meta object for class '`SActable`'.

  Returns:
    the meta object for class 'SActable'.
  See Also:
    `SActable`

### getSActable_RootActivity

    org.eclipse.emf.ecore.EReference getSActable_RootActivity()

  Returns the meta object for the containment reference '`Root Activity`'.

  Returns:
    the meta object for the containment reference 'Root Activity'.
  See Also:
    `SActable.getRootActivity()`, `getSActable()`

### getSAttributeType

    org.eclipse.emf.ecore.EEnum getSAttributeType()

  Returns the meta object for enum '`SAttribute Type`'.

  Returns:
    the meta object for enum 'SAttribute Type'.
  See Also:
    `SAttributeType`

### getSBorderRule

    org.eclipse.emf.ecore.EEnum getSBorderRule()

  Returns the meta object for enum '`SBorder Rule`'.

  Returns:
    the meta object for enum 'SBorder Rule'.
  See Also:
    `SBorderRule`

### getSNeighborhoodType

    org.eclipse.emf.ecore.EEnum getSNeighborhoodType()

  Returns the meta object for enum '`SNeighborhood Type`'.

  Returns:
    the meta object for enum 'SNeighborhood Type'.
  See Also:
    `SNeighborhoodType`

### getSImplementationMode

    org.eclipse.emf.ecore.EEnum getSImplementationMode()

  Returns the meta object for enum '`SImplementation Mode`'.

  Returns:
    the meta object for enum 'SImplementation Mode'.
  See Also:
    `SImplementationMode`

### getSShapeType

    org.eclipse.emf.ecore.EEnum getSShapeType()

  Returns the meta object for enum '`SShape Type`'.

  Returns:
    the meta object for enum 'SShape Type'.
  See Also:
    `SShapeType`

### getMetaABMFactory

    MetaABMFactory getMetaABMFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD